<?php

namespace App\DataProviders;

abstract class CountryDataProvider
{
    public static function data(): array
    {
        return [
            ['id' => '1', 'name' => 'afghanistan', 'shortname' => 'AF', 'phonecode' => '+93'],
            ['id' => '2', 'name' => 'albania', 'shortname' => 'AL', 'phonecode' => '+355'],
            ['id' => '3', 'name' => 'algeria', 'shortname' => 'DZ', 'phonecode' => '+213'],
            ['id' => '4', 'name' => 'american samoa', 'shortname' => 'AS', 'phonecode' => '+1-684'],
            ['id' => '5', 'name' => 'andorra', 'shortname' => 'AD', 'phonecode' => '+376'],
            ['id' => '6', 'name' => 'angola', 'shortname' => 'AO', 'phonecode' => '+244'],
            ['id' => '7', 'name' => 'anguilla', 'shortname' => 'AI', 'phonecode' => '+1-264'],
            ['id' => '8', 'name' => 'antarctica', 'shortname' => 'AQ', 'phonecode' => '+672'],
            ['id' => '9', 'name' => 'antigua and barbuda', 'shortname' => 'AG', 'phonecode' => '+1-268'],
            ['id' => '10', 'name' => 'argentina', 'shortname' => 'AR', 'phonecode' => '+54'],
            ['id' => '11', 'name' => 'armenia', 'shortname' => 'AM', 'phonecode' => '+374'],
            ['id' => '12', 'name' => 'aruba', 'shortname' => 'AW', 'phonecode' => '+297'],
            ['id' => '13', 'name' => 'australia', 'shortname' => 'AU', 'phonecode' => '+61'],
            ['id' => '14', 'name' => 'austria', 'shortname' => 'AT', 'phonecode' => '+43'],
            ['id' => '15', 'name' => 'azerbaijan', 'shortname' => 'AZ', 'phonecode' => '+994'],
            ['id' => '16', 'name' => 'bahamas the', 'shortname' => 'BS', 'phonecode' => '+1-242'],
            ['id' => '17', 'name' => 'bahrain', 'shortname' => 'BH', 'phonecode' => '+973'],
            ['id' => '18', 'name' => 'bangladesh', 'shortname' => 'BD', 'phonecode' => '+880'],
            ['id' => '19', 'name' => 'barbados', 'shortname' => 'BB', 'phonecode' => '+1-246'],
            ['id' => '20', 'name' => 'belarus', 'shortname' => 'BY', 'phonecode' => '+375'],
            ['id' => '21', 'name' => 'belgium', 'shortname' => 'BE', 'phonecode' => '+32'],
            ['id' => '22', 'name' => 'belize', 'shortname' => 'BZ', 'phonecode' => '+501'],
            ['id' => '23', 'name' => 'benin', 'shortname' => 'BJ', 'phonecode' => '+229'],
            ['id' => '24', 'name' => 'bermuda', 'shortname' => 'BM', 'phonecode' => '+1-441'],
            ['id' => '25', 'name' => 'bhutan', 'shortname' => 'BT', 'phonecode' => '+975'],
            ['id' => '26', 'name' => 'bolivia', 'shortname' => 'BO', 'phonecode' => '+591'],
            ['id' => '27', 'name' => 'bosnia and herzegovina', 'shortname' => 'BA', 'phonecode' => '+387'],
            ['id' => '28', 'name' => 'botswana', 'shortname' => 'BW', 'phonecode' => '+267'],
            ['id' => '29', 'name' => 'bouvet island', 'shortname' => 'BV', 'phonecode' => ''],
            ['id' => '30', 'name' => 'brazil', 'shortname' => 'BR', 'phonecode' => '+55'],
            ['id' => '31', 'name' => 'british indian ocean territory', 'shortname' => 'IO', 'phonecode' => '+246'],
            ['id' => '32', 'name' => 'brunei', 'shortname' => 'BN', 'phonecode' => '+673'],
            ['id' => '33', 'name' => 'bulgaria', 'shortname' => 'BG', 'phonecode' => '+359'],
            ['id' => '34', 'name' => 'burkina faso', 'shortname' => 'BF', 'phonecode' => '+226'],
            ['id' => '35', 'name' => 'burundi', 'shortname' => 'BI', 'phonecode' => '+257'],
            ['id' => '36', 'name' => 'cambodia', 'shortname' => 'KH', 'phonecode' => '+855'],
            ['id' => '37', 'name' => 'cameroon', 'shortname' => 'CM', 'phonecode' => '+237'],
            ['id' => '38', 'name' => 'canada', 'shortname' => 'CA', 'phonecode' => '+1'],
            ['id' => '39', 'name' => 'cape verde', 'shortname' => 'CV', 'phonecode' => '+238'],
            ['id' => '40', 'name' => 'cayman islands', 'shortname' => 'KY', 'phonecode' => '+1-345'],
            ['id' => '41', 'name' => 'central african republic', 'shortname' => 'CF', 'phonecode' => '+236'],
            ['id' => '42', 'name' => 'chad', 'shortname' => 'TD', 'phonecode' => '+235'],
            ['id' => '43', 'name' => 'chile', 'shortname' => 'CL', 'phonecode' => '+56'],
            ['id' => '44', 'name' => 'china', 'shortname' => 'CN', 'phonecode' => '+86'],
            ['id' => '45', 'name' => 'christmas island', 'shortname' => 'CX', 'phonecode' => '+61'],
            ['id' => '46', 'name' => 'cocos (keeling) islands', 'shortname' => 'CC', 'phonecode' => '+61'],
            ['id' => '47', 'name' => 'colombia', 'shortname' => 'CO', 'phonecode' => '+57'],
            ['id' => '48', 'name' => 'comoros', 'shortname' => 'KM', 'phonecode' => '+269'],
            ['id' => '49', 'name' => 'congo', 'shortname' => 'CG', 'phonecode' => '+242'],
            ['id' => '50', 'name' => 'congo the democratic republic of the', 'shortname' => 'CD', 'phonecode' => '+243'],
            
            ['id' => '51', 'name' => 'cook islands', 'shortname' => 'CK', 'phonecode' => '+682'],
            ['id' => '52', 'name' => 'costa rica', 'shortname' => 'CR', 'phonecode' => '+506'],
            ['id' => '53', 'name' => 'cote d\'ivoire (ivory coast)', 'shortname' => 'CI', 'phonecode' => '+225'],
            ['id' => '54', 'name' => 'croatia (hrvatska)', 'shortname' => 'HR', 'phonecode' => '+385'],
            ['id' => '55', 'name' => 'cuba', 'shortname' => 'CU', 'phonecode' => '+53'],
            ['id' => '56', 'name' => 'cyprus', 'shortname' => 'CY', 'phonecode' => '+357'],
            ['id' => '57', 'name' => 'czech republic', 'shortname' => 'CZ', 'phonecode' => '+420'],
            ['id' => '58', 'name' => 'denmark', 'shortname' => 'DK', 'phonecode' => '+45'],
            ['id' => '59', 'name' => 'djibouti', 'shortname' => 'DJ', 'phonecode' => '+253'],
            ['id' => '60', 'name' => 'dominica', 'shortname' => 'DM', 'phonecode' => '+1-767'],
            ['id' => '61', 'name' => 'dominican republic', 'shortname' => 'DO', 'phonecode' => '+1'],
            ['id' => '62', 'name' => 'east timor', 'shortname' => 'TL', 'phonecode' => '+670'],
            ['id' => '63', 'name' => 'ecuador', 'shortname' => 'EC', 'phonecode' => '+593'],
            ['id' => '64', 'name' => 'egypt', 'shortname' => 'EG', 'phonecode' => '+20'],
            ['id' => '65', 'name' => 'el salvador', 'shortname' => 'SV', 'phonecode' => '+503'],
            ['id' => '66', 'name' => 'equatorial guinea', 'shortname' => 'GQ', 'phonecode' => '+240'],
            ['id' => '67', 'name' => 'eritrea', 'shortname' => 'ER', 'phonecode' => '+291'],
            ['id' => '68', 'name' => 'estonia', 'shortname' => 'EE', 'phonecode' => '+372'],
            ['id' => '69', 'name' => 'ethiopia', 'shortname' => 'ET', 'phonecode' => '+251'],
            ['id' => '70', 'name' => 'falkland islands', 'shortname' => 'FK', 'phonecode' => '+500'],
            ['id' => '71', 'name' => 'faroe islands', 'shortname' => 'FO', 'phonecode' => '+298'],
            ['id' => '72', 'name' => 'fiji', 'shortname' => 'FJ', 'phonecode' => '+679'],
            ['id' => '73', 'name' => 'finland', 'shortname' => 'FI', 'phonecode' => '+358'],
            ['id' => '74', 'name' => 'france', 'shortname' => 'FR', 'phonecode' => '+33'],
            ['id' => '75', 'name' => 'french guiana', 'shortname' => 'GF', 'phonecode' => '+594'],
            ['id' => '76', 'name' => 'french polynesia', 'shortname' => 'PF', 'phonecode' => '+689'],
            ['id' => '77', 'name' => 'french southern territories', 'shortname' => 'TF', 'phonecode' => ''],
            ['id' => '78', 'name' => 'gabon', 'shortname' => 'GA', 'phonecode' => '+241'],
            ['id' => '79', 'name' => 'gambia, the', 'shortname' => 'GM', 'phonecode' => '+220'],
            ['id' => '80', 'name' => 'georgia', 'shortname' => 'GE', 'phonecode' => '+995'],
            ['id' => '81', 'name' => 'germany', 'shortname' => 'DE', 'phonecode' => '+49'],
            ['id' => '82', 'name' => 'ghana', 'shortname' => 'GH', 'phonecode' => '+233'],
            ['id' => '83', 'name' => 'gibraltar', 'shortname' => 'GI', 'phonecode' => '+350'],
            ['id' => '84', 'name' => 'greece', 'shortname' => 'GR', 'phonecode' => '+30'],
            ['id' => '85', 'name' => 'greenland', 'shortname' => 'GL', 'phonecode' => '+299'],
            ['id' => '86', 'name' => 'grenada', 'shortname' => 'GD', 'phonecode' => '+1-473'],
            ['id' => '87', 'name' => 'guadeloupe', 'shortname' => 'GP', 'phonecode' => '+590'],
            ['id' => '88', 'name' => 'guam', 'shortname' => 'GU', 'phonecode' => '+1-671'],
            ['id' => '89', 'name' => 'guatemala', 'shortname' => 'GT', 'phonecode' => '+502'],
            ['id' => '90', 'name' => 'guernsey', 'shortname' => 'GG', 'phonecode' => '+44-1481'],
            ['id' => '91', 'name' => 'guinea', 'shortname' => 'GN', 'phonecode' => '+224'],
            ['id' => '92', 'name' => 'guinea-bissau', 'shortname' => 'GW', 'phonecode' => '+245'],
            ['id' => '93', 'name' => 'guyana', 'shortname' => 'GY', 'phonecode' => '+592'],
            ['id' => '94', 'name' => 'haiti', 'shortname' => 'HT', 'phonecode' => '+509'],
            ['id' => '95', 'name' => 'heard island and mcdonald islands', 'shortname' => 'HM', 'phonecode' => ''],
            ['id' => '96', 'name' => 'honduras', 'shortname' => 'HN', 'phonecode' => '+504'],
            ['id' => '97', 'name' => 'hong kong', 'shortname' => 'HK', 'phonecode' => '+852'],
            ['id' => '98', 'name' => 'hungary', 'shortname' => 'HU', 'phonecode' => '+36'],
            ['id' => '99', 'name' => 'iceland', 'shortname' => 'IS', 'phonecode' => '+354'],
            ['id' => '100', 'name' => 'india', 'shortname' => 'IN', 'phonecode' => '+91'],
            
            ['id' => '101', 'name' => 'indonesia', 'shortname' => 'ID', 'phonecode' => '+62'],
            ['id' => '102', 'name' => 'iran', 'shortname' => 'IR', 'phonecode' => '+98'],
            ['id' => '103', 'name' => 'iraq', 'shortname' => 'IQ', 'phonecode' => '+964'],
            ['id' => '104', 'name' => 'ireland', 'shortname' => 'IE', 'phonecode' => '+353'],
            ['id' => '105', 'name' => 'isle of man', 'shortname' => 'IM', 'phonecode' => '+44-1624'],
            ['id' => '106', 'name' => 'israel', 'shortname' => 'IL', 'phonecode' => '+972'],
            ['id' => '107', 'name' => 'italy', 'shortname' => 'IT', 'phonecode' => '+39'],
            ['id' => '108', 'name' => 'jamaica', 'shortname' => 'JM', 'phonecode' => '+1-876'],
            ['id' => '109', 'name' => 'japan', 'shortname' => 'JP', 'phonecode' => '+81'],
            ['id' => '110', 'name' => 'jersey', 'shortname' => 'JE', 'phonecode' => '+44-1534'],
            ['id' => '111', 'name' => 'jordan', 'shortname' => 'JO', 'phonecode' => '+962'],
            ['id' => '112', 'name' => 'kazakhstan', 'shortname' => 'KZ', 'phonecode' => '+7'],
            ['id' => '113', 'name' => 'kenya', 'shortname' => 'KE', 'phonecode' => '+254'],
            ['id' => '114', 'name' => 'kiribati', 'shortname' => 'KI', 'phonecode' => '+686'],
            ['id' => '115', 'name' => 'korea, north', 'shortname' => 'KP', 'phonecode' => '+850'],
            ['id' => '116', 'name' => 'korea, south', 'shortname' => 'KR', 'phonecode' => '+82'],
            ['id' => '117', 'name' => 'kuwait', 'shortname' => 'KW', 'phonecode' => '+965'],
            ['id' => '118', 'name' => 'kyrgyzstan', 'shortname' => 'KG', 'phonecode' => '+996'],
            ['id' => '119', 'name' => 'laos', 'shortname' => 'LA', 'phonecode' => '+856'],
            ['id' => '120', 'name' => 'latvia', 'shortname' => 'LV', 'phonecode' => '+371'],
            ['id' => '121', 'name' => 'lebanon', 'shortname' => 'LB', 'phonecode' => '+961'],
            ['id' => '122', 'name' => 'lesotho', 'shortname' => 'LS', 'phonecode' => '+266'],
            ['id' => '123', 'name' => 'liberia', 'shortname' => 'LR', 'phonecode' => '+231'],
            ['id' => '124', 'name' => 'libya', 'shortname' => 'LY', 'phonecode' => '+218'],
            ['id' => '125', 'name' => 'liechtenstein', 'shortname' => 'LI', 'phonecode' => '+423'],
            ['id' => '126', 'name' => 'lithuania', 'shortname' => 'LT', 'phonecode' => '+370'],
            ['id' => '127', 'name' => 'luxembourg', 'shortname' => 'LU', 'phonecode' => '+352'],
            ['id' => '128', 'name' => 'macau', 'shortname' => 'MO', 'phonecode' => '+853'],
            ['id' => '129', 'name' => 'north macedonia', 'shortname' => 'MK', 'phonecode' => '+389'],
            ['id' => '130', 'name' => 'madagascar', 'shortname' => 'MG', 'phonecode' => '+261'],
            ['id' => '131', 'name' => 'malawi', 'shortname' => 'MW', 'phonecode' => '+265'],
            ['id' => '132', 'name' => 'malaysia', 'shortname' => 'MY', 'phonecode' => '+60'],
            ['id' => '133', 'name' => 'maldives', 'shortname' => 'MV', 'phonecode' => '+960'],
            ['id' => '134', 'name' => 'mali', 'shortname' => 'ML', 'phonecode' => '+223'],
            ['id' => '135', 'name' => 'malta', 'shortname' => 'MT', 'phonecode' => '+356'],
            ['id' => '136', 'name' => 'marshall islands', 'shortname' => 'MH', 'phonecode' => '+692'],
            ['id' => '137', 'name' => 'martinique', 'shortname' => 'MQ', 'phonecode' => '+596'],
            ['id' => '138', 'name' => 'mauritania', 'shortname' => 'MR', 'phonecode' => '+222'],
            ['id' => '139', 'name' => 'mauritius', 'shortname' => 'MU', 'phonecode' => '+230'],
            ['id' => '140', 'name' => 'mayotte', 'shortname' => 'YT', 'phonecode' => '+262'],
            ['id' => '141', 'name' => 'mexico', 'shortname' => 'MX', 'phonecode' => '+52'],
            ['id' => '142', 'name' => 'micronesia', 'shortname' => 'FM', 'phonecode' => '+691'],
            ['id' => '143', 'name' => 'moldova', 'shortname' => 'MD', 'phonecode' => '+373'],
            ['id' => '144', 'name' => 'monaco', 'shortname' => 'MC', 'phonecode' => '+377'],
            ['id' => '145', 'name' => 'mongolia', 'shortname' => 'MN', 'phonecode' => '+976'],
            ['id' => '146', 'name' => 'montenegro', 'shortname' => 'ME', 'phonecode' => '+382'],
            ['id' => '147', 'name' => 'montserrat', 'shortname' => 'MS', 'phonecode' => '+1-664'],
            ['id' => '148', 'name' => 'morocco', 'shortname' => 'MA', 'phonecode' => '+212'],
            ['id' => '149', 'name' => 'mozambique', 'shortname' => 'MZ', 'phonecode' => '+258'],
            ['id' => '150', 'name' => 'myanmar', 'shortname' => 'MM', 'phonecode' => '+95'],
            
            ['id' => '151', 'name' => 'namibia', 'shortname' => 'NA', 'phonecode' => '+264'],
            ['id' => '152', 'name' => 'nauru', 'shortname' => 'NR', 'phonecode' => '+674'],
            ['id' => '153', 'name' => 'nepal', 'shortname' => 'NP', 'phonecode' => '+977'],
            ['id' => '154', 'name' => 'netherlands', 'shortname' => 'NL', 'phonecode' => '+31'],
            ['id' => '155', 'name' => 'netherlands antilles', 'shortname' => 'AN', 'phonecode' => '+599'],
            ['id' => '156', 'name' => 'new caledonia', 'shortname' => 'NC', 'phonecode' => '+687'],
            ['id' => '157', 'name' => 'new zealand', 'shortname' => 'NZ', 'phonecode' => '+64'],
            ['id' => '158', 'name' => 'nicaragua', 'shortname' => 'NI', 'phonecode' => '+505'],
            ['id' => '159', 'name' => 'niger', 'shortname' => 'NE', 'phonecode' => '+227'],
            ['id' => '160', 'name' => 'nigeria', 'shortname' => 'NG', 'phonecode' => '+234'],
            ['id' => '161', 'name' => 'niue', 'shortname' => 'NU', 'phonecode' => '+683'],
            ['id' => '162', 'name' => 'norfolk island', 'shortname' => 'NF', 'phonecode' => '+672'],
            ['id' => '163', 'name' => 'northern mariana islands', 'shortname' => 'MP', 'phonecode' => '+1-670'],
            ['id' => '164', 'name' => 'norway', 'shortname' => 'NO', 'phonecode' => '+47'],
            ['id' => '165', 'name' => 'oman', 'shortname' => 'OM', 'phonecode' => '+968'],
            ['id' => '166', 'name' => 'pakistan', 'shortname' => 'PK', 'phonecode' => '+92'],
            ['id' => '167', 'name' => 'palau', 'shortname' => 'PW', 'phonecode' => '+680'],
            ['id' => '168', 'name' => 'palestinian territory', 'shortname' => 'PS', 'phonecode' => '+970'],
            ['id' => '169', 'name' => 'panama', 'shortname' => 'PA', 'phonecode' => '+507'],
            ['id' => '170', 'name' => 'papua new guinea', 'shortname' => 'PG', 'phonecode' => '+675'],
            ['id' => '171', 'name' => 'paraguay', 'shortname' => 'PY', 'phonecode' => '+595'],
            ['id' => '172', 'name' => 'peru', 'shortname' => 'PE', 'phonecode' => '+51'],
            ['id' => '173', 'name' => 'philippines', 'shortname' => 'PH', 'phonecode' => '+63'],
            ['id' => '174', 'name' => 'pitcairn islands', 'shortname' => 'PN', 'phonecode' => '+64'],
            ['id' => '175', 'name' => 'poland', 'shortname' => 'PL', 'phonecode' => '+48'],
            ['id' => '176', 'name' => 'portugal', 'shortname' => 'PT', 'phonecode' => '+351'],
            ['id' => '177', 'name' => 'puerto rico', 'shortname' => 'PR', 'phonecode' => '+1-787'],
            ['id' => '178', 'name' => 'qatar', 'shortname' => 'QA', 'phonecode' => '+974'],
            ['id' => '179', 'name' => 'reunion', 'shortname' => 'RE', 'phonecode' => '+262'],
            ['id' => '180', 'name' => 'romania', 'shortname' => 'RO', 'phonecode' => '+40'],
            ['id' => '181', 'name' => 'russia', 'shortname' => 'RU', 'phonecode' => '+7'],
            ['id' => '182', 'name' => 'rwanda', 'shortname' => 'RW', 'phonecode' => '+250'],
            ['id' => '183', 'name' => 'saint barthelemy', 'shortname' => 'BL', 'phonecode' => '+590'],
            ['id' => '184', 'name' => 'saint helena', 'shortname' => 'SH', 'phonecode' => '+290'],
            ['id' => '185', 'name' => 'saint kitts and nevis', 'shortname' => 'KN', 'phonecode' => '+1-869'],
            ['id' => '186', 'name' => 'saint lucia', 'shortname' => 'LC', 'phonecode' => '+1-758'],
            ['id' => '187', 'name' => 'saint martin', 'shortname' => 'MF', 'phonecode' => '+590'],
            ['id' => '188', 'name' => 'saint pierre and miquelon', 'shortname' => 'PM', 'phonecode' => '+508'],
            ['id' => '189', 'name' => 'saint vincent and the grenadines', 'shortname' => 'VC', 'phonecode' => '+1-784'],
            ['id' => '190', 'name' => 'samoa', 'shortname' => 'WS', 'phonecode' => '+685'],
            ['id' => '191', 'name' => 'san marino', 'shortname' => 'SM', 'phonecode' => '+378'],
            ['id' => '192', 'name' => 'sao tome and principe', 'shortname' => 'ST', 'phonecode' => '+239'],
            ['id' => '193', 'name' => 'saudi arabia', 'shortname' => 'SA', 'phonecode' => '+966'],
            ['id' => '194', 'name' => 'senegal', 'shortname' => 'SN', 'phonecode' => '+221'],
            ['id' => '195', 'name' => 'serbia', 'shortname' => 'RS', 'phonecode' => '+381'],
            ['id' => '196', 'name' => 'seychelles', 'shortname' => 'SC', 'phonecode' => '+248'],
            ['id' => '197', 'name' => 'sierra leone', 'shortname' => 'SL', 'phonecode' => '+232'],
            ['id' => '198', 'name' => 'singapore', 'shortname' => 'SG', 'phonecode' => '+65'],
            ['id' => '199', 'name' => 'sint maarten', 'shortname' => 'SX', 'phonecode' => '+1-721'],
            ['id' => '200', 'name' => 'slovakia', 'shortname' => 'SK', 'phonecode' => '+421'],
            ['id' => '201', 'name' => 'slovenia', 'shortname' => 'SI', 'phonecode' => '+386'],

            ['id' => '202', 'name' => 'solomon islands', 'shortname' => 'SB', 'phonecode' => '+677'],
            ['id' => '203', 'name' => 'somalia', 'shortname' => 'SO', 'phonecode' => '+252'],
            ['id' => '204', 'name' => 'south africa', 'shortname' => 'ZA', 'phonecode' => '+27'],
            ['id' => '205', 'name' => 'south georgia and the south sandwich islands', 'shortname' => 'GS', 'phonecode' => ''],
            ['id' => '206', 'name' => 'south sudan', 'shortname' => 'SS', 'phonecode' => '+211'],
            ['id' => '207', 'name' => 'spain', 'shortname' => 'ES', 'phonecode' => '+34'],
            ['id' => '208', 'name' => 'sri lanka', 'shortname' => 'LK', 'phonecode' => '+94'],
            ['id' => '209', 'name' => 'sudan', 'shortname' => 'SD', 'phonecode' => '+249'],
            ['id' => '210', 'name' => 'suriname', 'shortname' => 'SR', 'phonecode' => '+597'],
            ['id' => '211', 'name' => 'svalbard and jan mayen', 'shortname' => 'SJ', 'phonecode' => '+47'],
            ['id' => '212', 'name' => 'swaziland', 'shortname' => 'SZ', 'phonecode' => '+268'],
            ['id' => '213', 'name' => 'sweden', 'shortname' => 'SE', 'phonecode' => '+46'],
            ['id' => '214', 'name' => 'switzerland', 'shortname' => 'CH', 'phonecode' => '+41'],
            ['id' => '215', 'name' => 'syria', 'shortname' => 'SY', 'phonecode' => '+963'],
            ['id' => '216', 'name' => 'taiwan', 'shortname' => 'TW', 'phonecode' => '+886'],
            ['id' => '217', 'name' => 'tajikistan', 'shortname' => 'TJ', 'phonecode' => '+992'],
            ['id' => '218', 'name' => 'tanzania', 'shortname' => 'TZ', 'phonecode' => '+255'],
            ['id' => '219', 'name' => 'thailand', 'shortname' => 'TH', 'phonecode' => '+66'],
            ['id' => '220', 'name' => 'togo', 'shortname' => 'TG', 'phonecode' => '+228'],
            ['id' => '221', 'name' => 'tokelau', 'shortname' => 'TK', 'phonecode' => '+690'],
            ['id' => '222', 'name' => 'tonga', 'shortname' => 'TO', 'phonecode' => '+676'],
            ['id' => '223', 'name' => 'trinidad and tobago', 'shortname' => 'TT', 'phonecode' => '+1-868'],
            ['id' => '224', 'name' => 'tunisia', 'shortname' => 'TN', 'phonecode' => '+216'],
            ['id' => '225', 'name' => 'turkey', 'shortname' => 'TR', 'phonecode' => '+90'],
            ['id' => '226', 'name' => 'turkmenistan', 'shortname' => 'TM', 'phonecode' => '+993'],
            ['id' => '227', 'name' => 'turks and caicos islands', 'shortname' => 'TC', 'phonecode' => '+1-649'],
            ['id' => '228', 'name' => 'tuvalu', 'shortname' => 'TV', 'phonecode' => '+688'],
            ['id' => '229', 'name' => 'uganda', 'shortname' => 'UG', 'phonecode' => '+256'],
            ['id' => '230', 'name' => 'ukraine', 'shortname' => 'UA', 'phonecode' => '+380'],
            ['id' => '231', 'name' => 'united arab emirates', 'shortname' => 'AE', 'phonecode' => '+971'],
            ['id' => '232', 'name' => 'united kingdom', 'shortname' => 'GB', 'phonecode' => '+44'],
            ['id' => '233', 'name' => 'united states', 'shortname' => 'US', 'phonecode' => '+1'],
            ['id' => '234', 'name' => 'united states minor outlying islands', 'shortname' => 'UM', 'phonecode' => ''],
            ['id' => '235', 'name' => 'uruguay', 'shortname' => 'UY', 'phonecode' => '+598'],
            ['id' => '236', 'name' => 'uzbekistan', 'shortname' => 'UZ', 'phonecode' => '+998'],
            ['id' => '237', 'name' => 'vanuatu', 'shortname' => 'VU', 'phonecode' => '+678'],
            ['id' => '238', 'name' => 'vatican city', 'shortname' => 'VA', 'phonecode' => '+379'],
            ['id' => '239', 'name' => 'venezuela', 'shortname' => 'VE', 'phonecode' => '+58'],
            ['id' => '240', 'name' => 'vietnam', 'shortname' => 'VN', 'phonecode' => '+84'],
            ['id' => '241', 'name' => 'virgin islands, british', 'shortname' => 'VG', 'phonecode' => '+1-284'],
            ['id' => '242', 'name' => 'virgin islands, u.s.', 'shortname' => 'VI', 'phonecode' => '+1-340'],
            ['id' => '243', 'name' => 'wallis and futuna', 'shortname' => 'WF', 'phonecode' => '+681'],
            ['id' => '244', 'name' => 'western sahara', 'shortname' => 'EH', 'phonecode' => ''],
            ['id' => '245', 'name' => 'yemen', 'shortname' => 'YE', 'phonecode' => '+967'],
            ['id' => '246', 'name' => 'zambia', 'shortname' => 'ZM', 'phonecode' => '+260'],
            ['id' => '247', 'name' => 'zimbabwe', 'shortname' => 'ZW', 'phonecode' => '+263']
            
        ];
    }
}
