document.addEventListener('DOMContentLoaded', function () {
    var toggle = document.getElementById('dark-mode-toggle');
    var html = document.documentElement;
    var light_logo = document.querySelector('.light-mode-logo');
    var dark_logo = document.querySelector('.dark-mode-logo');
    var isAuthenticated = window.isAuthenticated; 

    function update_logos() {
        if (light_logo && dark_logo) { 
            if (html.classList.contains('dark-mode')) {
                light_logo.style.display = 'none';
                dark_logo.style.display = 'block';
            } else {
                light_logo.style.display = 'block';
                dark_logo.style.display = 'none';
            }
        }
    }
    if (!isAuthenticated) {
        html.classList.remove('dark-mode');
    } else {
        if (localStorage.getItem('dark-mode') === 'true') {
            html.classList.add('dark-mode');
            if (toggle) toggle.checked = true;
        }

        if (toggle) {
            toggle.addEventListener('change', function () {
                if (toggle.checked) {
                    html.classList.add('dark-mode');
                    localStorage.setItem('dark-mode', 'true');
                } else {
                    html.classList.remove('dark-mode');
                    localStorage.setItem('dark-mode', 'false');
                }
                update_logos(); 
            });
        }
    }

    update_logos();
});
