//Code Related to Currency Exchange Rate Module:
document.addEventListener('DOMContentLoaded', function() {
    const exchangeRateSelect = document.getElementById('exchange_rate_id');
    const exchangeRateInput = document.getElementById('currency_exchange_rate');

    // Check if the elements exist
    if (exchangeRateSelect && exchangeRateInput) {
        exchangeRateSelect.addEventListener('change', function() {
            const selectedOption = this.options[this.selectedIndex];
            const exchangeRate = selectedOption.getAttribute('data-rate');
            if (exchangeRate) {
                exchangeRateInput.value = exchangeRate;
            } else {
                exchangeRateInput.value = ''; 
                updateCurrencyValues();
            }
        });
        exchangeRateSelect.dispatchEvent(new Event('change'));
    } else {
        //
    }
});

function adjustTbodyScrollHeight() {
    var footerHeight = document.querySelector('.pos-form-actions') ? document.querySelector('.pos-form-actions').offsetHeight : 0;
    var tbodyScroll = document.querySelector('.tbody-scroll');
    var headerHeight = document.querySelector('.pos-header') ? document.querySelector('.pos-header').offsetHeight : 0;
    var pos_heading = document.querySelector('.pos-heading') ? document.querySelector('.pos-heading').offsetHeight : 0;

    var isMobile = window.innerWidth <= 768;
    var additionalHeight = isMobile ? 90 : 45;

    if (tbodyScroll) {
        // Adjust tbody-scroll height
        tbodyScroll.style.height = 'calc(100vh - ' + (footerHeight + headerHeight + pos_heading + additionalHeight) + 'px)';
        
        // If the body has the 'repair-sub-type' class, adjust the pos-wrapper height
        if (document.body.classList.contains('repair-sub-type')) {
            var posWrapper = document.querySelector('.pos-wrapper');
            if (posWrapper) {
                // Set min-height of pos-wrapper to ensure it covers the full content
                posWrapper.style.minHeight = document.body.scrollHeight + 'px';
            }
        }
    }
}

function setupMutationObserver() {
    // Observe the entire document or a specific container
    var targetNode = document.body;
    if (targetNode) {
        var observer = new MutationObserver(function(mutationsList, observer) {
            mutationsList.forEach(function(mutation) {
                if (mutation.type === 'childList') {
                    // Check if tbody-scroll or other relevant elements were added
                    if (mutation.addedNodes.length > 0) {
                        adjustTbodyScrollHeight();
                    }
                }
            });
        });

        // Configuration to observe child nodes and subtree
        var config = { childList: true, subtree: true };
        observer.observe(targetNode, config);
    }
}

// Execute after the entire page is loaded
window.addEventListener('load', function() {
    adjustTbodyScrollHeight();
    setupMutationObserver();
    window.addEventListener('resize', adjustTbodyScrollHeight);
});


$('.card-front').click(function() {
    var card = $(this).closest('.card');
    console.log('Card clicked:', card);
    card.toggleClass('flipped');
    var card_back = card.find('.card-back');
    card_back.toggleClass('hide');
    console.log('Card flipped:', card.hasClass('flipped'));
    console.log('Card back hide class:', card_back.hasClass('hide'));
});
if (window.location.href.includes('/pos/create?sub_type=repair')) {
    document.body.classList.add('repair-sub-type');
  }
  