@extends('layouts.auth')

@section('title', __('lang_v1.reset_password'))

@section('content')
<div class="details">
    <h2>@lang('lang_v1.reset_password')</h2>
    @if (session('status'))
        <p class="alert alert-success">{{ session('status') }}</p>
    @else
        <p>Welcome back.</p>
    @endif

</div>

<form method="POST" action="{{ route('password.request') }}">
    {{ csrf_field() }}

        <input type="hidden" name="token" value="{{ $token }}">
    <div class="input-wrapper">
        <label for="email">@lang('lang_v1.email_address')</label>
        <input id="email" type="email" name="email" value="{{ $email ?? old('email') }}" required autofocus>
    </div>
    @if ($errors->has('email'))
        <div class="input-error">
            <strong>{{ $errors->first('email') }}</strong>
        </div>
    @endif
    <div class="input-wrapper">
        <label for="password">@lang('lang_v1.password')</label>
        <input id="password" type="password" name="password"
         required>
    </div>
    @if($errors->has('password'))
        <div class="input-error">
            <strong>{{ $errors->first('password') }}</strong>
        </div>
    @endif
    <div class="input-wrapper">
        <label for="password">@lang('business.confirm_password')</label>
        <input id="password" type="password" name="password_confirmation" required>
        @if ($errors->has('password_confirmation'))
            <span class="help-block">
                <strong>{{ $errors->first('password_confirmation') }}</strong>
            </span>
        @endif
    </div>
    
    <div class="button-wrapper">
        <button type="submit">@lang('lang_v1.reset_password')</button>
        <!-- /.col -->
    </div>
</form>

<div class="form-footer">
    <p>{{ __('business.already_registered')}} <a href="{{ route('login') }}">{{ __('business.sign_in') }}</a></p>
</div>

@endsection
