@extends('layouts.app')
@section('title', __('business.business_settings'))

@section('content')

<div class="main-container no-print">
                
    <!-- Sub Menu -->
    <div class="horizontal-scroll">
        @include('layouts.partials.sub_menu.setting')
    </div>

    <!-- Card Wrapper for dashboard content -->
    <div class="card-wrapper">
        <!-- Filter through table -->
        <div class="overview-filter">
            <div class="title">
                <h1>@lang('lang_v1.dashboard_settings')</h1>
                <p>@lang('business.settings')</p>
            </div>

            <div class="filter">
                
            </div>
        </div>

        <div class="content">
        {!! Form::open(['url' => action('BusinessController@postBusinessSettings'), 'method' => 'post', 'id' => 'bussiness_edit_form',
           'files' => true ]) !!}
            
        <div class="col-sm-4">
                    <div class="form-group">
                        <div class="toggle-wrapper" style="display: flex; gap: 10px; margin-top: 1.5rem;">
                            <label class="switch" for="disable_performance">
                                {!! Form::checkbox('dashboard_settings[disable_performance]', 1,  
                            empty($dashboard_settings['disable_performance']) ? 0 : 1 , 
                            [ 'id' => 'disable_performance']); !!}
                                <div class="sliderCheckbox round"></div>
                            </label>
                            <p>{{ __( 'lang_v1.disable_performance' ) }}</p>
                        </div>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <div class="toggle-wrapper" style="display: flex; gap: 10px; margin-top: 1.5rem;">
                            <label class="switch" for="disable_sales_due">
                                {!! Form::checkbox('dashboard_settings[disable_sales_due]', 1,  
                            empty($dashboard_settings['disable_sales_due']) ? 0 : 1 , 
                            [ 'id' => 'disable_sales_due']); !!}
                                <div class="sliderCheckbox round"></div>
                            </label>
                            <p>{{ __( 'lang_v1.disable_sales_due' ) }}</p>
                        </div>
                    </div>
                </div>
        </div>
        <div class="col-sm-4">
                    <div class="form-group">
                        <div class="toggle-wrapper" style="display: flex; gap: 10px; margin-top: 1.5rem;">
                            <label class="switch" for="disable_purchase_due">
                                {!! Form::checkbox('dashboard_settings[disable_purchase_due]', 1,  
                            empty($dashboard_settings['disable_purchase_due']) ? 0 : 1 , 
                            [ 'id' => 'disable_purchase_due']); !!}
                                <div class="sliderCheckbox round"></div>
                            </label>
                            <p>{{ __( 'lang_v1.disable_purchase_due' ) }}</p>
                        </div>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <div class="toggle-wrapper" style="display: flex; gap: 10px; margin-top: 1.5rem;">
                            <label class="switch" for="disable_stock_alert">
                                {!! Form::checkbox('dashboard_settings[disable_stock_alert]', 1,  
                            empty($dashboard_settings['disable_stock_alert']) ? 0 : 1 , 
                            [ 'id' => 'disable_stock_alert']); !!}
                                <div class="sliderCheckbox round"></div>
                            </label>
                            <p>{{ __( 'lang_v1.disable_stock_alert' ) }}</p>
                        </div>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <div class="toggle-wrapper" style="display: flex; gap: 10px; margin-top: 1.5rem;">
                            <label class="switch" for="disable_stock_expiry">
                                {!! Form::checkbox('dashboard_settings[disable_stock_expiry]', 1,  
                            empty($dashboard_settings['disable_stock_expiry']) ? 0 : 1 , 
                            [ 'id' => 'disable_stock_expiry']); !!}
                                <div class="sliderCheckbox round"></div>
                            </label>
                            <p>{{ __( 'lang_v1.disable_stock_expiry' ) }}</p>
                        </div>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <div class="toggle-wrapper" style="display: flex; gap: 10px; margin-top: 1.5rem;">
                            <label class="switch" for="disable_sales_order">
                                {!! Form::checkbox('dashboard_settings[disable_sales_order]', 1,  
                            empty($dashboard_settings['disable_sales_order']) ? 0 : 1 , 
                            [ 'id' => 'disable_sales_order']); !!}
                                <div class="sliderCheckbox round"></div>
                            </label>
                            <p>{{ __( 'lang_v1.disable_sales_order' ) }}</p>
                        </div>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <div class="toggle-wrapper" style="display: flex; gap: 10px; margin-top: 1.5rem;">
                            <label class="switch" for="disable_purchase_order">
                                {!! Form::checkbox('dashboard_settings[disable_purchase_order]', 1,  
                            empty($dashboard_settings['disable_purchase_order']) ? 0 : 1 , 
                            [ 'id' => 'disable_purchase_order']); !!}
                                <div class="sliderCheckbox round"></div>
                            </label>
                            <p>{{ __( 'lang_v1.disable_purchase_order' ) }}</p>
                        </div>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <div class="toggle-wrapper" style="display: flex; gap: 10px; margin-top: 1.5rem;">
                            <label class="switch" for="disable_pending_shipments">
                                {!! Form::checkbox('dashboard_settings[disable_pending_shipments]', 1,  
                            empty($dashboard_settings['disable_pending_shipments']) ? 0 : 1 , 
                            [ 'id' => 'disable_pending_shipments']); !!}
                                <div class="sliderCheckbox round"></div>
                            </label>
                            <p>{{ __( 'lang_v1.disable_pending_shipments' ) }}</p>
                        </div>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <div class="toggle-wrapper" style="display: flex; gap: 10px; margin-top: 1.5rem;">
                            <label class="switch" for="disable_payment_recover">
                                {!! Form::checkbox('dashboard_settings[disable_payment_recover]', 1,  
                            empty($dashboard_settings['disable_payment_recover']) ? 0 : 1 , 
                            [ 'id' => 'disable_payment_recover']); !!}
                                <div class="sliderCheckbox round"></div>
                            </label>
                            <p>{{ __( 'lang_v1.disable_payment_recover' ) }}</p>
                        </div>
                    </div>
                </div>

            <div class="row">
                <div class="col-sm-12">
                    <button class="btn btn-danger pull-right" type="submit">@lang('business.update_settings')</button>
                </div>
            </div>
        {!! Form::close() !!}
        </div>
        
    </div>


@stop