@extends('layouts.app')
@section('title', __('home.home'))

@section('content')
@php
$dashboard_settings = !empty(session()->get('business.dashboard_settings')) ? json_decode(session()->get('business.dashboard_settings'), true) : [];
$performace_disabled = $dashboard_settings['disable_performance'] == 1 ? true : false;
$sales_due_disabled = $dashboard_settings['disable_sales_due'] == 1 ? true : false;
$purchase_due_disabled = $dashboard_settings['disable_purchase_due'] == 1 ? true : false;
$stock_alert_disabled = $dashboard_settings['disable_stock_alert'] == 1 ? true : false;
$stock_expiry_disabled = $dashboard_settings['disable_stock_expiry'] == 1 ? true : false;
$sales_order_disabled = $dashboard_settings['disable_sales_order'] == 1 ? true : false;
$purchase_order_disabled = $dashboard_settings['disable_purchase_order'] == 1 ? true : false;
$pending_shipments_disabled = $dashboard_settings['disable_pending_shipments'] == 1 ? true : false;
$payment_recover_disabled = $dashboard_settings['disable_payment_recover'] == 1 ? true : false;
@endphp
<!-- Main content -->
<div class="main-container no-print">
    <div class="overview-filter">
        <div class="title">
            <h1>{{ Session::get('business.name') }}</h1>
            <p>{{ __('home.welcome_message', ['name' => Session::get('user.first_name')]) }}</p>
        </div>



        @if (auth()->user()->can('dashboard.data'))
        @if ($is_admin)
        <div class="filter">
            <div class="form-box">
                @if (count($all_locations) > 1)
                {!! Form::select('dashboard_location', $all_locations, null, [
                'class' => 'form-control select2',
                'placeholder' => __('lang_v1.select_location'),
                'id' => 'dashboard_location',
                'style' => 'width: 270px;',
                ]) !!}
                @endif
            </div>

            <button id="dashboard_date_filter" style="background-color: #ffffff;">
                <img src="{{ asset('img/icons/filter.svg') }}" alt="">
                <span>Filter</span>
            </button>
        </div>
        @endif
        @endif
    </div>
    @if (auth()->user()->can('dashboard.data'))
    @if ($is_admin)
    <div class="quick-data">
        <!-- Sales -->
        <div class="item">
            <div class="head">
                <img src="{{ asset('img/icons/sales.svg') }}" alt="">
                <span class="dashboard_date_filter_value">{{ __('lang_v1.today') }}</span>
            </div>

            <div class="body">
                <div class="data-name">
                    <h5>{{ __('home.total_sell') }}</h5>
                    <h3>
                        <span class="info-box-number total_sell"><i class="fas fa-sync fa-spin fa-fw margin-bottom"></i>0.00</span>
                    </h3>
                </div>


            </div>
        </div>

        <!-- Sales -->
        <div class="item">
            <div class="head">
                <img src="{{ asset('img/icons/Pending-payment.svg') }}" alt="">
                <span class="dashboard_date_filter_value">{{ __('lang_v1.today') }}</span>
            </div>

            <div class="body">
                <div class="data-name">
                    <h5>{{ __('home.invoice_due') }}</h5>
                    <h3>
                        <span class="info-box-number invoice_due"><i class="fas fa-sync fa-spin fa-fw margin-bottom"></i>0.00</span>
                    </h3>
                </div>


            </div>
        </div>

        <!-- Sales -->
        <div class="item">
            <div class="head">
                <img src="{{ asset('img/icons/Expenses-icon.svg') }}" alt="">
                <span class="dashboard_date_filter_value">{{ __('lang_v1.today') }}</span>
            </div>

            <div class="body">
                <div class="data-name">
                    <h5>{{ __('home.total_payments') }}</h5>
                    <h3>
                        <span class="info-box-number total_payments"><i class="fas fa-sync fa-spin fa-fw margin-bottom"></i>0.00</span>
                    </h3>
                </div>


            </div>
        </div>

        <!-- Sales -->
        <div class="item">
            <div class="head">
                <img src="{{ asset('img/icons/Purchase.svg') }}" alt="">
                <span class="dashboard_date_filter_value">{{ __('lang_v1.today') }}</span>
            </div>

            <div class="body">
                <div class="data-name">
                    <h5>{{ __('home.net_sales') }}</h5>
                    <h3><span class="info-box-number net_sales"><i class="fas fa-sync fa-spin fa-fw margin-bottom"></i>0.00</span></h3>
                </div>


            </div>
        </div>
    </div>
  
   
    {{-- @if (!empty($widgets['after_sale_purchase_totals']))
                @foreach ($widgets['after_sale_purchase_totals'] as $widget)
                    {!! $widget !!}
                @endforeach
            @endif --}}
  
    <!-- end is_admin check -->

    @if (auth()->user()->can('sell.view') || auth()->user()->can('direct_sell.view'))
    @if (!empty($all_locations))
    @if ($performace_disabled == false)
    <!-- sales chart start -->
    <div class="main-title">
        <h2>{{ __('lang_v1.performance') }}</h2>
    </div>
    <div class="graph-card-wrapper">
        <div class="chart">
            @component('components.widget', ['class' => 'box-primary', 'title' => __('home.sells_last_30_days')])
            {!! $sells_chart_1->container() !!}
            @endcomponent
        </div>
        
        <div class="extra-data">
           
            <!-- Sales -->
            <div class="item">
                <div class="head">
                    <img src="{{ asset('img/icons/money-in.svg') }}" alt="">
                    <span class="dashboard_date_filter_value">{{ __('lang_v1.today') }}</span>
                </div>

                <div class="body">
                    <div class="data-name">
                        <h5>{{ __('lang_v1.expense') }}</h5>
                        <h3 class="total_expense">0.00</h3>
                    </div>
                </div>
            </div>

            <!-- Sales -->
            <div class="item">
                <div class="head">
                    <img src="{{ asset('img/icons/money-out.svg') }}" alt="">
                    <span class="dashboard_date_filter_value">{{ __('lang_v1.today') }}</span>
                </div>

                <div class="body">
                    <div class="data-name">
                        <h5>{{ __('home.total_purchase') }}</h5>
                        <h3 class="total_purchase">0.00</h3>
                    </div>
                </div>
            </div>

        </div>
    </div>
  
    @endif
    @endif
    @endif
    <div class="short-list-wrapper">
    @if ($sales_due_disabled == false)
        <!-- Shortlist item -->
        <!-- Sales Payment Due -->
        @if (auth()->user()->can('sell.view') || auth()->user()->can('direct_sell.view'))
        <div class="short-list-item">
            <div class="heading">
                <h3> {{ __('lang_v1.sales_payment_dues') }} @show_tooltip(__('lang_v1.tooltip_sales_payment_dues'))</h3>
                <button>
                    <svg width="25" height="25" viewBox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M18.5 15.5L12.5 9.5L6.5 15.5" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                </button>
            </div>

            <div class="content">
                <div class="col-md-4 ">
                    @if (count($all_locations) > 1)
                    {!! Form::select('sales_payment_dues_location', $all_locations, null, [
                    'class' => 'form-control select2',
                    'placeholder' => __('lang_v1.select_location'),
                    'id' => 'sales_payment_dues_location',
                    ]) !!}
                    @endif
                </div>

                <table class="max-table" id="sales_payment_dues_table" style="margin-top: 2rem; width: 100% ;">
                    <thead>
                        <tr>
                            <th>@lang('contact.customer')</th>
                            <th>@lang('sale.payment_status')</th>
                            <th>@lang('sale.invoice_no')</th>
                            <th>@lang('home.due_amount')</th>
                            <th>@lang('messages.action')</th>
                        </tr>
                    </thead>
                </table>

            </div>
        </div>
        @endif
        @endif

        <!-- Shortlist item -->
        <!-- Purchase Payment Due -->
        @if ($purchase_due_disabled == false)
        @can('purchase.view')
        <div class="short-list-item">
            <div class="heading">
                <h3> {{ __('lang_v1.purchase_payment_dues') }} @show_tooltip(__('tooltip.payment_dues'))</h3>

                <button>
                    <svg width="25" height="25" viewBox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M18.5 15.5L12.5 9.5L6.5 15.5" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                </button>
            </div>

            <div class="content">
                <div class="col-md-4">
                    @if(count($all_locations) > 1)
                    {!! Form::select('purchase_payment_dues_location', $all_locations, null, ['class' => 'form-control select2', 'placeholder' => __('lang_v1.select_location'), 'id' => 'purchase_payment_dues_location']); !!}
                    @endif
                </div>
                <table class="max-table" id="purchase_payment_dues_table" style="width: 100%;">
                    <thead>
                        <tr>
                            <th>@lang( 'purchase.supplier' )</th>
                            <th>@lang( 'purchase.ref_no' )</th>
                            <th>@lang( 'home.due_amount' )</th>
                            <th>@lang( 'messages.action' )</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
        @endcan
        @endif

        <!-- Shortlist item -->
        <!-- Stock Alert -->
        @if ($stock_alert_disabled == false)
        @can('stock_report.view')
        <div class="short-list-item">
            <div class="heading">
                <h3>{{ __('home.product_stock_alert') }}</h3>

                <button>
                    <svg width="25" height="25" viewBox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M18.5 15.5L12.5 9.5L6.5 15.5" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                </button>
            </div>

            <div class="content">


                <table class="max-table" id="stock_alert_table" style="margin-top: 2rem; width: 100% ;">
                    <thead>
                        <tr>
                            <th>@lang('sale.product')</th>
                            <th>@lang('business.location')</th>
                            <th>@lang('report.current_stock')</th>
                        </tr>
                    </thead>
                </table>

            </div>
        </div>
        @endcan
        @endif

        <!-- Shortlist item -->
        <!-- Stock ExpiryAlert -->
        @if ($stock_expiry_disabled == false)
        @if (session('business.enable_product_expiry') == 1)
        <div class="short-list-item">
            <div class="heading">
                <h3>{{ __('home.stock_expiry_alert') }}</h3>

                <button>
                    <svg width="25" height="25" viewBox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M18.5 15.5L12.5 9.5L6.5 15.5" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                </button>
            </div>

            <div class="content">
                <div class="search-export">

                </div>
                <input type="hidden" id="stock_expiry_alert_days" value="{{ Carbon\Carbon::now()->addDays(session('business.stock_expiry_alert_days', 30))->format('Y-m-d') }}">

                <table class="max-table" id="stock_expiry_alert_table" style="margin-top: 2rem; width: 100% ;">
                    <thead>
                        <tr>
                            <th>@lang('business.product')</th>
                            <th>@lang('business.location')</th>
                            <th>@lang('report.stock_left')</th>
                            <th>@lang('product.expires_in')</th>
                        </tr>
                    </thead>
                </table>

            </div>
        </div>
        @endif
        @endif

        <!-- Shortlist item -->
        <!-- Sales Order -->
        @if ($sales_order_disabled == false)
        @if(auth()->user()->can('so.view_all') || auth()->user()->can('so.view_own'))
        <div class="short-list-item">
            <div class="heading">
                <h3>{{__('lang_v1.sales_order')}}</h3>

                <button>
                    <svg width="25" height="25" viewBox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M18.5 15.5L12.5 9.5L6.5 15.5" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                </button>
            </div>

            <div class="content">
                <div class="col-md-4">
                    @if(count($all_locations) > 1)
                    {!! Form::select('so_location', $all_locations, null, ['class' => 'form-control select2', 'placeholder' => __('lang_v1.select_location'), 'id' => 'so_location']) !!}
                    @endif
                </div>
                <table class="max-table" id="sales_order_table" style="margin-top: 2rem; width: 100% ;">
                    <thead>
                        <tr>
                            <th>@lang('messages.action')</th>
                            <th>@lang('messages.date')</th>
                            <th>@lang('restaurant.order_no')</th>
                            <th>@lang('sale.customer_name')</th>

                            <th>@lang('sale.status')</th>
                            <th>@lang('lang_v1.shipping_status')</th>
                            <th>@lang('lang_v1.quantity_remaining')</th>
                            <th>@lang('lang_v1.added_by')</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
        @endif
        @endif

        <!-- Shortlist item -->
        <!-- Purchase Requisition -->

        @if(!empty($common_settings['enable_purchase_requisition']) && (auth()->user()->can('purchase_requisition.view_all') || auth()->user()->can('purchase_requisition.view_own')))
        <div class="short-list-item">
            <div class="heading">
                <h3>@lang('lang_v1.purchase_requisition')</h3>

                <button>
                    <svg width="25" height="25" viewBox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M18.5 15.5L12.5 9.5L6.5 15.5" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                </button>
            </div>

            <div class="content">
                <div class="col-md-4">
                    @if(count($all_locations) > 1)
                    {!! Form::select('pr_location', $all_locations, null, ['class' => 'form-control select2', 'placeholder' => __('lang_v1.select_location'), 'id' => 'pr_location']) !!}
                    @endif
                </div>
                <table class="max-table" id="purchase_requisition_table" style="margin-top: 2rem; width: 100% ;">
                    <thead>
                        <tr>
                            <th>@lang('messages.action')</th>
                            <th>@lang('messages.date')</th>
                            <th>@lang('purchase.ref_no')</th>
                            <th>@lang('purchase.location')</th>
                            <th>@lang('sale.status')</th>
                            <th>@lang('lang_v1.required_by_date')</th>
                            <th>@lang('lang_v1.added_by')</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
        @endif

        <!-- Shortlist item -->
        <!-- Purchase Order -->
        @if ($purchase_order_disabled == false)
        @if(!empty($common_settings['enable_purchase_order']) && (auth()->user()->can('purchase_order.view_all') || auth()->user()->can('purchase_order.view_own')))
        <div class="short-list-item">
            <div class="heading">
                <h3>@lang('lang_v1.purchase_order')</h3>

                <button>
                    <svg width="25" height="25" viewBox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M18.5 15.5L12.5 9.5L6.5 15.5" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                </button>
            </div>

            <div class="content">
                <div class="col-md-4">
                    @if(count($all_locations) > 1)
                    {!! Form::select('po_location', $all_locations, null, ['class' => 'form-control select2', 'placeholder' => __('lang_v1.select_location'), 'id' => 'po_location']) !!}
                    @endif
                </div>


                <table class="max-table" id="purchase_order_table" style="margin-top: 2rem; width: 100% ;">
                    <thead>
                        <tr>
                            <th>@lang('messages.action')</th>
                            <th>@lang('messages.date')</th>
                            <th>@lang('purchase.ref_no')</th>
                            <th>@lang('purchase.location')</th>
                            <th>@lang('purchase.supplier')</th>
                            <th>@lang('sale.status')</th>
                            <th>@lang('lang_v1.quantity_remaining')</th>
                            <th>@lang('lang_v1.added_by')</th>
                        </tr>
                    </thead>
                </table>

            </div>
        </div>
        @endif
        @endif

        <!-- Shortlist item -->
        <!-- Pending Shipments -->
        @if ($pending_shipments_disabled == false)
        @if(auth()->user()->can('access_pending_shipments_only') || auth()->user()->can('access_shipping') || auth()->user()->can('access_own_shipping'))
        <div class="short-list-item">
            <div class="heading">
                <h3>@lang('lang_v1.pending_shipments')</h3>

                <button>
                    <svg width="25" height="25" viewBox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M18.5 15.5L12.5 9.5L6.5 15.5" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                </button>
            </div>

            <div class="content">
                <div class="col-md-4">
                    @if(count($all_locations) > 1)
                    {!! Form::select('pending_shipments_location', $all_locations, null, ['class' => 'form-control select2', 'placeholder' => __('lang_v1.select_location'), 'id' => 'pending_shipments_location']) !!}
                    @endif
                </div>

                <table class="max-table" id="shipments_table" style="margin-top: 2rem; width: 100% ;">
                    <thead>
                        <tr>
                            <th>@lang('messages.action')</th>
                            <th>@lang('messages.date')</th>
                            <th>@lang('sale.invoice_no')</th>
                            <th>@lang('sale.customer_name')</th>
                            <th>@lang('lang_v1.contact_no')</th>
                            <th>@lang('sale.location')</th>
                            <th>@lang('lang_v1.shipping_status')</th>
                            @if(!empty($custom_labels['shipping']['custom_field_1']))
                            <th>{{ $custom_labels['shipping']['custom_field_1'] }}</th>
                            @endif
                            @if(!empty($custom_labels['shipping']['custom_field_2']))
                            <th>{{ $custom_labels['shipping']['custom_field_2'] }}</th>
                            @endif
                            @if(!empty($custom_labels['shipping']['custom_field_3']))
                            <th>{{ $custom_labels['shipping']['custom_field_3'] }}</th>
                            @endif
                            @if(!empty($custom_labels['shipping']['custom_field_4']))
                            <th>{{ $custom_labels['shipping']['custom_field_4'] }}</th>
                            @endif
                            @if(!empty($custom_labels['shipping']['custom_field_5']))
                            <th>{{ $custom_labels['shipping']['custom_field_5'] }}</th>
                            @endif
                            <th>@lang('sale.payment_status')</th>
                            <th>@lang('restaurant.service_staff')</th>
                        </tr>
                    </thead>
                </table>

            </div>
        </div>
        @endif
        @endif
        <!-- Shortlist item -->
        <!-- Payment Recovered Today -->
        @if ($payment_recover_disabled == false)
        @if(auth()->user()->can('account.access') && config('constants.show_payments_recovered_today') == true)
        <div class="short-list-item">

            <div class="heading">
                <h3> @lang('lang_v1.payment_recovered_today')</h3>

                <button>
                    <svg width="25" height="25" viewBox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M18.5 15.5L12.5 9.5L6.5 15.5" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                </button>
            </div>
            <div class="content">

                <table class="max-table" id="cash_flow_table" style="margin-top: 2rem; width: 100% ;">
                    <thead>
                        <tr>
                            <th>@lang( 'messages.date' )</th>
                            <th>@lang( 'account.account' )</th>
                            <th>@lang( 'lang_v1.description' )</th>
                            <th>@lang( 'lang_v1.payment_method' )</th>
                            <th>@lang( 'lang_v1.payment_details' )</th>
                            <th>@lang('account.credit')</th>
                            <th>@lang( 'lang_v1.account_balance' ) @show_tooltip(__('lang_v1.account_balance_tooltip'))</th>
                            <th>@lang( 'lang_v1.total_balance' ) @show_tooltip(__('lang_v1.total_balance_tooltip'))</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr class="bg-gray font-17 footer-total text-center">
                            <td colspan="5"><strong>@lang('sale.total'):</strong></td>
                            <td class="footer_total_credit"></td>
                            <td colspan="2"></td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
        @endif
        @endif
    </div>

    @if (!empty($widgets['after_sales_last_30_days']))
    @foreach ($widgets['after_sales_last_30_days'] as $widget)
    {!! $widget !!}
    @endforeach
    @endif



    @endif
    <!-- sales chart end -->
    @if (!empty($widgets['after_sales_current_fy']))
    @foreach ($widgets['after_sales_current_fy'] as $widget)
    {!! $widget !!}
    @endforeach
    @endif
    <!-- products less than alert quntity -->

    <!-- Sales payment due removed here -->

    <!-- Product stock alert removed here -->

    @if (!empty($widgets['after_dashboard_reports']))
    @foreach ($widgets['after_dashboard_reports'] as $widget)
    {!! $widget !!}
    @endforeach
    @endif

    @endif

    <!-- can('dashboard.data') end -->
</div>
<!-- /.content -->
<div class="modal fade payment_modal" tabindex="-1" role="dialog" aria-labelledby="gridSystemModalLabel">
</div>
<div class="modal fade edit_pso_status_modal" tabindex="-1" role="dialog"></div>
<div class="modal fade edit_payment_modal" tabindex="-1" role="dialog" aria-labelledby="gridSystemModalLabel">
</div>


@include('home.email_verification_modal')

@include('home.review_modal')
@stop
@section('javascript')
<script src="{{ asset('js/home.js?v=' . $asset_v) }}"></script>
<script src="{{ asset('js/payment.js?v=' . $asset_v) }}"></script>
@includeIf('sales_order.common_js')
@includeIf('purchase_order.common_js')
@if (!empty($all_locations))
{!! $sells_chart_1->script() !!}
{!! $sells_chart_2->script() !!}
@endif
<script type="text/javascript">
    if ("{{session()->get('review_alert')}}") {
        $('#review_modal').modal('toggle');
    }

    function hasOneDayPassed() {

        var date = new Date().toLocaleDateString();

        if (localStorage.yourapp_date == date)
            return false;

        localStorage.yourapp_date = date;
        return true;
    }

    function runOncePerDay() {
        if (!hasOneDayPassed()) return false;

        $('#message_modal').modal('toggle');
    }

    $(document).ready(function() {
        sales_order_table = $('#sales_order_table').DataTable({
            processing: true,
            serverSide: true,
            scrollY: "75vh",
            scrollX: true,
            scrollCollapse: true,
            aaSorting: [
                [1, 'desc']
            ],
            "ajax": {
                "url":'{{action('SellController@index')}}?sale_type=sales_order',
                "data": function(d) {
                    d.for_dashboard_sales_order = true;

                    if ($('#so_location').length > 0) {
                        d.location_id = $('#so_location').val();
                    }
                }
            },
            dom: 'Btirp',

            columnDefs: [{
                "targets": 7,
                "orderable": false,
                "searchable": false
            }],
            columns: [{
                    data: 'action',
                    name: 'action'
                },
                {
                    data: 'transaction_date',
                    name: 'transaction_date'
                },
                {
                    data: 'invoice_no',
                    name: 'invoice_no'
                },
                {
                    data: 'conatct_name',
                    name: 'conatct_name'
                },

                {
                    data: 'status',
                    name: 'status'
                },
                {
                    data: 'shipping_status',
                    name: 'shipping_status'
                },
                {
                    data: 'so_qty_remaining',
                    name: 'so_qty_remaining',
                    "searchable": false
                },
                {
                    data: 'added_by',
                    name: 'u.first_name'
                },
            ]
        });

        //Payment Recovered:
        @if(auth()->user()->can('account.access') && config('constants.show_payments_recovered_today') == true)

        // Cash Flow Table
        cash_flow_table = $('#cash_flow_table').DataTable({
            processing: true,
            serverSide: true,
            "ajax": {
                "url": "{{action([\App\Http\Controllers\AccountController::class, 'cashFlow'])}}",
                "data": function(d) {
                    d.type = 'credit';
                    d.only_payment_recovered = true;
                }
            },
            "ordering": false,
            "searching": false,
            dom: 'Btirp',
            columns: [{
                    data: 'operation_date',
                    name: 'operation_date'
                },
                {
                    data: 'account_name',
                    name: 'account_name'
                },
                {
                    data: 'sub_type',
                    name: 'sub_type'
                },
                {
                    data: 'method',
                    name: 'TP.method'
                },
                {
                    data: 'payment_details',
                    name: 'payment_details',
                    searchable: false
                },
                {
                    data: 'credit',
                    name: 'amount'
                },
                {
                    data: 'balance',
                    name: 'balance'
                },
                {
                    data: 'total_balance',
                    name: 'total_balance'
                },
            ],
            "fnDrawCallback": function(oSettings) {
                __currency_convert_recursively($('#cash_flow_table'));
            },
            "footerCallback": function(row, data, start, end, display) {
                var footer_total_credit = 0;

                for (var r in data) {
                    footer_total_credit += $(data[r].credit).data('orig-value') ? parseFloat($(data[r].credit).data('orig-value')) : 0;
                }
                $('.footer_total_credit').html(__currency_trans_from_en(footer_total_credit));
            }
        });
        @endif


        $('#so_location').change(function() {
            sales_order_table.ajax.reload();
        });
        @if(!empty($common_settings['enable_purchase_order']))
        //Purchase table
        purchase_order_table = $('#purchase_order_table').DataTable({
            processing: true,
            serverSide: true,
            aaSorting: [
                [1, 'desc']
            ],
            scrollY: "75vh",
            scrollX: true,
            scrollCollapse: true,
            ajax: {
                url: '{{ action('PurchaseOrderController@index') }}',
                data: function(d) {
                    d.from_dashboard = true;

                    if ($('#po_location').length > 0) {
                        d.location_id = $('#po_location').val();
                    }
                },
            },
            dom: 'Btirp',
            columns: [{
                    data: 'action',
                    name: 'action',
                    orderable: false,
                    searchable: false
                },
                {
                    data: 'transaction_date',
                    name: 'transaction_date'
                },
                {
                    data: 'ref_no',
                    name: 'ref_no'
                },
                {
                    data: 'location_name',
                    name: 'BS.name'
                },

                {
                    data: 'name',
                    name: 'contacts.name'
                },

                {
                    data: 'status',
                    name: 'transactions.status'
                },
                {
                    data: 'po_qty_remaining',
                    name: 'po_qty_remaining',
                    "searchable": false
                },
                {
                    data: 'added_by',
                    name: 'u.first_name'
                }
            ]
        })

        $('#po_location').change(function() {
            purchase_order_table.ajax.reload();
        });
        @endif

        sell_table = $('#shipments_table').DataTable({
            processing: true,
            serverSide: true,
            aaSorting: [
                [1, 'desc']
            ],
            scrollY: "75vh",
            scrollX: true,
            scrollCollapse: true,
            "ajax": {
                "url":'{{action('SellController@index')}}',
                "data": function(d) {
                    d.only_pending_shipments = true;
                    if ($('#pending_shipments_location').length > 0) {
                        d.location_id = $('#pending_shipments_location').val();
                    }
                }
            },
            dom: 'Btirp',
            columns: [{
                    data: 'action',
                    name: 'action',
                    searchable: false,
                    orderable: false
                },
                {
                    data: 'transaction_date',
                    name: 'transaction_date'
                },
                {
                    data: 'invoice_no',
                    name: 'invoice_no'
                },
                {
                    data: 'conatct_name',
                    name: 'conatct_name'
                },
                {
                    data: 'mobile',
                    name: 'contacts.mobile'
                },
                {
                    data: 'business_location',
                    name: 'bl.name'
                },
                {
                    data: 'shipping_status',
                    name: 'shipping_status'
                },
                @if(!empty($custom_labels['shipping']['custom_field_1'])) {
                    data: 'shipping_custom_field_1',
                    name: 'shipping_custom_field_1'
                },
                @endif
                @if(!empty($custom_labels['shipping']['custom_field_2'])) {
                    data: 'shipping_custom_field_2',
                    name: 'shipping_custom_field_2'
                },
                @endif
                @if(!empty($custom_labels['shipping']['custom_field_3'])) {
                    data: 'shipping_custom_field_3',
                    name: 'shipping_custom_field_3'
                },
                @endif
                @if(!empty($custom_labels['shipping']['custom_field_4'])) {
                    data: 'shipping_custom_field_4',
                    name: 'shipping_custom_field_4'
                },
                @endif
                @if(!empty($custom_labels['shipping']['custom_field_5'])) {
                    data: 'shipping_custom_field_5',
                    name: 'shipping_custom_field_5'
                },
                @endif {
                    data: 'payment_status',
                    name: 'payment_status'
                },
                {
                    data: 'waiter',
                    name: 'ss.first_name',
                    @if(empty($is_service_staff_enabled))
                    visible: false
                    @endif
                }
            ],
            "fnDrawCallback": function(oSettings) {
                __currency_convert_recursively($('#sell_table'));
            },
            createdRow: function(row, data, dataIndex) {
                $(row).find('td:eq(4)').attr('class', 'clickable_td');
            }
        });

        $('#pending_shipments_location').change(function() {
            sell_table.ajax.reload();
        });

        $('button#fund-wallet').click(function() {
            $('div#fund_wallet_modal').modal('show');
        });
    });


    // $(document).ready(function() {
    //     $('.reload_payment_modal').click(function() {
    //         location.reload()
    //     });

    //     $.ajax({
    //         method: 'GET',
    //         url: '/user/is-email-verified',
    //         dataType: 'json',
    //         success: function(result) {
    //             console.log(result);
    //             if (result.success == true) {
    //                 console.log('True');
    //             } else {
    //                 $('div#email_verification_modal').modal('show');
    //             }

    //         },
    //     });

    //     $('button#resend-email').click(function() {
    //         $('div#email_verified_modal').modal('hide');
    //         $('div#email_verification_modal').modal('show');
    //     });
    // });
</script>
@endsection