<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>@yield('title') - {{ config('app.name', 'POS') }}</title>
    @include('layouts.partials.css')

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css" integrity="sha512-iecdLmaskl7CVkqkXNQ/ZH/XLlvWZOJyj7Yy7tcenmpD1ypASozpmT/E0iPtmFIB46ZmdtAc9eNBvH0H/ZpiBw==" crossorigin="anonymous" referrerpolicy="no-referrer" />

    @yield('stylesheet')
    <script src='https://www.google.com/recaptcha/api.js'></script>
   
</head>

<body>
    <div class="login-layout">
        @if (!isset($no_header))
        @include('layouts.partials.header-auth')
        @endif

        <!-- logo -->
        <div class="auth-logo">
        @if(file_exists(public_path('img/pictures/logo-light.png')))
       
            <img src="{{ asset('img/pictures/logo-light.png') }}" alt="logo">
        
        @else
        <div class="logo-text">
            {{ config('app.name', 'BardPOS') }}
        </div>
        @endif
        </div>
        @if (session('status'))
        <input type="hidden" id="status_span" data-status="{{ session('status.success') }}" data-msg="{{ session('status.msg') }}">
        @endif

        @yield('content')

    </div>


    @include('layouts.partials.javascripts')
    <!-- Scripts -->
    <script src="{{ asset('js/login.js?v=' . $asset_v) }}"></script>
    @yield('javascript')

    <script type="text/javascript">
        $(document).ready(function() {
            $('.select2_register').select2();

            $('input').iCheck({
                checkboxClass: 'icheckbox_square-blue',
                radioClass: 'iradio_square-blue',
                increaseArea: '20%' // optional
            });
        });
    </script>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const toggle = document.getElementById('dark-mode-toggle');
            const html = document.documentElement;
            const isLoginPage = window.location.pathname.includes('login');
            if (isLoginPage) {
                html.classList.remove('dark-mode');
            } else {
                if (toggle) {
                    if (localStorage.getItem('dark-mode') === 'true') {
                        html.classList.add('dark-mode');
                        toggle.checked = true;
                    } else {
                        html.classList.remove('dark-mode');
                        toggle.checked = false;
                    }

                    toggle.addEventListener('change', function() {
                        if (toggle.checked) {
                            html.classList.add('dark-mode');
                            localStorage.setItem('dark-mode', 'true');
                        } else {
                            html.classList.remove('dark-mode');
                            localStorage.setItem('dark-mode', 'false');
                        }
                    });
                }
            }
            // Remove no-transition class after DOM is fully loaded
            html.classList.remove('no-transition');
        });
    </script>

<script>
    document.querySelector('.menu-button').addEventListener('click', function() {
        this.classList.toggle('active');
        document.querySelector('.dropdown-menu').classList.toggle('active');
    });
</script>
<script type="text/javascript">
    $(document).ready(function() {
        $('.change_lang').click(function() {
            var currentUrl = new URL(window.location.href);
            currentUrl.searchParams.set('lang', $(this).attr('value'));
            window.location.href = currentUrl.toString();
        });
    });
</script>
</body>

</html>