<!-- default value -->
@php
$go_back_url = action('SellPosController@index');
$transaction_sub_type = '';
$view_suspended_sell_url = action('SellController@index').'?suspended=1';
$view_running_orders_url = action('SellController@index').'?running_order=1';
$pos_redirect_url = action('SellPosController@create');
@endphp

@if(!empty($pos_module_data))
@foreach($pos_module_data as $key => $value)
@php
if(!empty($value['go_back_url'])) {
$go_back_url = $value['go_back_url'];
}

if(!empty($value['transaction_sub_type'])) {
$transaction_sub_type = $value['transaction_sub_type'];
$view_suspended_sell_url .= '&transaction_sub_type='.$transaction_sub_type;
$pos_redirect_url .= '?sub_type='.$transaction_sub_type;
}
@endphp
@endforeach
@endif
@php
$user = auth()->user();
$is_checkout = $user->hasRole('Self Checkout#'.$user->business_id);
@endphp
<div class="pos-heading no-print">
  <input type="hidden" name="transaction_sub_type" id="transaction_sub_type" value="{{$transaction_sub_type}}">
  @inject('request', 'Illuminate\Http\Request')
  <input type="hidden" id="pos_redirect_url" value="{{$pos_redirect_url}}">
  <div class="left-section">
    <div class="back">
      <a href="{{$go_back_url}}">
        <img src="{{ asset('img/icons/back-icon.svg') }}" alt="">
      </a>
    </div>

    <div class="pos-title">
      <h1>POS</h1>
      {{--<span>Select Products for sales</span>--}}
    </div>

    <div class="location">
      <label for="">@lang('sale.location')</label>
      @if(empty($transaction->location_id))
      @if(count($business_locations) > 1)
      {!! Form::select('select_location_id', $business_locations, $default_location->id ?? null , ['class' => 'form-control input-sm',
      'id' => 'select_location_id',
      'required', 'autofocus'], $bl_attributes); !!}
      @else
      {{$default_location->name}}
      @endif
      @endif

      @if(!empty($transaction->location_id)) {{$transaction->location->name}} @endif &nbsp; <span class="curr_datetime">{{ @format_datetime('now') }}</span> <span class="server_time hide" id="server_time">{{ \Carbon\Carbon::now() }}</span><i class="fa fa-keyboard hover-q text-muted" aria-hidden="true" data-container="body" data-toggle="popover" data-placement="bottom" data-content="@include('sale_pos.partials.keyboard_shortcuts_details')" data-html="true" data-trigger="hover" data-original-title="" title=""></i>
    </div>

  </div>
  @php
    $is_mobile = isMobile();
@endphp


  <div class="right-section">
  @if(!$is_mobile)
    <button title="@lang('lang_v1.calculator')" id="btnCalculator" type="button" class="btn btn-success btn-flat pull-right m-5 btn-xs mt-10 popover-default" data-toggle="popover" data-trigger="click" data-content='@include("layouts.partials.calculator")' data-html="true" data-placement="bottom">
      <img src="{{ asset('img/icons/calculator.svg') }}" style="width: 28px; height:28px" alt="">
    </button>
    @endif

    @if(!isset($pos_settings['hide_recent_trans']) || $pos_settings['hide_recent_trans'] == 0)
    <button class="recent-transaction" type="button" data-toggle="modal" data-target="#recent_transactions_modal" id="recent-transactions">
      <img title="@lang('lang_v1.recent_transactions')" data-toggle="tooltip" data-placement="bottom" src="{{ asset('img/icons/recent-transactions.svg') }}" alt="">
    </button>
    @endif

    <button type="button" class=" hide-view-product" data-toggle="modal" data-target="#mobile_products_modal" title="View Products" data-toggle="tooltip">
      <img title="Products" data-toggle="tooltip" data-placement="bottom" src="{{ asset('img/icons/view-product.svg') }}" alt="">
    </button>

    <button type="button" id="view_suspended_sales" title="{{ __('lang_v1.view_suspended_sales') }}" data-toggle="tooltip" data-placement="bottom" class="btn-modal" data-container=".view_modal" data-href="{{$view_suspended_sell_url}}">
      <img src="{{ asset('img/icons/view-suspended.svg') }}" alt="">
    </button>
    @if($restaurant_settings['enable_kot'] == 1)
    @if(!$is_mobile)
    <button type="button" id="view_running_orders" title="{{ __('lang_v1.view_running_orders') }}" data-toggle="tooltip" data-placement="bottom" class=" btn-modal" data-container=".view_modal" data-href="{{$view_running_orders_url}}">
      <img src="{{ asset('img/icons/running_order.svg') }}" width="24px" alt="">
    </button>
    @endif
    @endif
    @can('view_cash_register')

    <button type="button" id="register_details" title="{{ __('cash_register.register_details') }}" data-toggle="tooltip" data-placement="bottom" class=" btn-modal pull-right" data-container=".register_details_modal" data-href="{{ action('CashRegisterController@getRegisterDetails')}}">
      <img src="{{ asset('img/icons/register.svg') }}" alt="">
    </button>
    @endcan

    @can('close_cash_register')
    <button type="button" id="close_register" title="{{ __('cash_register.close_register') }}" data-toggle="tooltip" data-placement="bottom" class=" btn-modal pull-right" data-container=".close_register_modal" data-href="{{ action('CashRegisterController@getCloseRegister')}}">
      <img src="{{ asset('img/icons/close-register.svg') }}" alt="">
    </button>
    @endcan
    @if(!$is_checkout)
    @if(!$is_mobile)
    <button type="button" title="{{ __('lang_v1.sell_return') }}" class=" btn-modal pull-right popover-default" id="return_sale" data-toggle="popover" data-trigger="click" data-content='<div class="m-8"><input type="text" class="form-control" placeholder="@lang("sale.invoice_no")" id="send_for_sell_return_invoice_no"></div><div class="w-100 text-center"><button type="button" class="btn btn-primary" id="send_for_sell_return">@lang("lang_v1.send")</button></div>' data-html="true" data-placement="bottom">
      <img src="{{ asset('img/icons/sell-return.svg') }}" style="width: 27px; " alt="" title="@lang('lang_v1.sell_return')" data-toggle="tooltip" data-placement="bottom">
    </button>
    @endif
    @endif
    @if(!$is_mobile)
    <button type="button" title="{{ __('lang_v1.full_screen') }}" class=" btn-modal pull-right" id="full_screen" data-toggle="tooltip" data-placement="bottom">
      <img src="{{ asset('img/icons/full-screen.svg') }}" style="width: 21px;" alt="">
    </button>
    @endif
    @if($pos_settings['show_price_check'] == 1)
    @if(!$is_mobile)
    <a href="{{ route('price-check') }}" title="{{ __('lang_v1.price_checker') }}" class="pull-right" target="_blank">
      <img src="{{ asset('img/icons/price-check.svg') }}" style="width: 21px;" alt="">
    </a>
    @endif
    @if($pos_settings['show_customer_display'] == 1)
    @if(!$is_mobile)
    <a href="{{ route('customer-display') }}" title="{{ __('lang_v1.customer_display') }}" class="pull-right" target="_blank">
      <img src="{{ asset('img/icons/dual-screen.svg') }}" style="width: 25px;" alt="">
    </a>
    @endif
    @endif
    
    @endif
    @can('expense.add')
    <button type="button" title="{{ __('expense.add_expense') }}" data-toggle="tooltip" data-placement="bottom" class=" btn-modal pull-right" id="add_expense">
      <img src="{{ asset('img/icons/expense.svg') }}" style="width: 34px; " alt="">
    </button>
    @endcan


  </div>

</div>