@inject('request', 'Illuminate\Http\Request')
<!-- Main Header -->
@php
$is_mobile = isMobile();
@endphp

<div class="topbar no-print">
{{--@if(Module::has('Superadmin'))
    @includeIf('superadmin::layouts.partials.active_subscription')
    @endif --}}
  <button id="menu-btn" style="display: none;">
    Menu
  </button>

  <div class="welcome-message">

    @if(!empty(session('previous_user_id')) && !empty(session('previous_username')))
    <a href="{{route('sign-in-as-user', session('previous_user_id'))}}" class="btn btn-round btn-danger m-8 btn-sm mt-10"><i class="fas fa-undo"></i> @lang('lang_v1.back_to_username', ['username' => session('previous_username')] )</a>
    @endif
  </div>

  <button class="item display-mobile-only" id="menuBtn">
    <img src="{{ asset('img/icons/menu-flex.svg?v=' . $asset_v) }}" alt="">
  </button>


  <div class="top-right pull-right">

    <!-- Pos Button -->


    <div class="topbar-sub-menu-wrap" id="homeSubMenu">
      <div class="topbar-sub-menu">

        @if (Module::has('Essentials'))
        @includeIf('essentials::layouts.partials.header_part')
        @endif
        @if (Module::has('Repair'))
        @includeIf('repair::layouts.partials.header')
        @endif
        <a href="{{ route('calendar') }}" class="sub-menu-link">
          <img src="{{ asset('img/icons/calender.svg?v=' . $asset_v) }}" width="15px" alt="">
          <span>@lang('lang_v1.calendar')</span>
        </a>

        @if (Module::has('Essentials'))
        <a class="btn btn-modal sub-menu-link" href="#" data-href="{{ action([\Modules\Essentials\Http\Controllers\ToDoController::class, 'create']) }}" data-container="#task_modal" role="menuitem" tabindex="-1">
          <img src="{{ asset('img/icons/todo.svg?v=' . $asset_v) }}" width="15px" alt="">
          <span>@lang('essentials::lang.add_to_do')</span>
        </a>
        @endif

        @if($is_mobile)
        <div class="form-check form-switch dark-mode-button pull-right mobile-toggle">

          <input class="form-check-input" type="checkbox" id="dark-mode-toggle">
          <label class="form-check-label" for="dark-mode-toggle">
            <span class="toggle-icon sun-icon">☀️</span>
            <span class="toggle-icon moon-icon">🌙</span>
          </label>
        </div>
        <a class="sub-menu-link">
          <img src="{{ asset('img/icons/theme.svg?v=' . $asset_v) }}" style="width: 15px; height:15px" alt="">
          <span>@lang('lang_v1.theme')</span>

        </a>
        @endif
      </div>
    </div>

    @if(in_array('pos_sale', $enabled_modules))
    @can('sell.create')
    @if(!$is_mobile)
    <div class="form-check form-switch">
      <input class="form-check-input" type="checkbox" id="dark-mode-toggle">
      <label class="form-check-label" for="dark-mode-toggle">
        <span class="toggle-icon sun-icon">☀️</span>
        <span class="toggle-icon moon-icon">🌙</span>
      </label>
    </div>
    @endif
    <a href="{{action('SellPosController@create')}}" title="@lang('sale.pos_sale')" data-toggle="tooltip" data-placement="bottom" class="pos">
      <img src="{{ asset('img/icons/pos.svg?v=' . $asset_v) }}" alt="">
      <span>@lang('lang_v1.pos')</span>
    </a>
    @endcan
    @endif

    <div class="options">
      <button class="item" onclick="toggleHomeMenu(event)">
        <img src="{{ asset('img/icons/plus-circle.svg?v=' . $asset_v) }}" alt="" width="35px">
      </button>
      <button class="item notification__icon__wrapper load_notifications" onclick="notificationOpen(event)" id="show_unread_notifications">
        <img src="{{ asset('img/icons/notification.svg?v=' . $asset_v) }}" alt="">
        <div class="notification__count">{{ auth()->user()->unreadNotifications->count() }}</div>
      </button>

      <button class="item" onclick="toggleMenu(event)">
        <img src="{{ asset('img/icons/user-profile.png?v=' . $asset_v) }}" alt="" width="35px">

      </button>
    </div>

    <!-- Sub Menu -->
    <div class="topbar-sub-menu-wrap" id="subMenu">
      <div class="topbar-sub-menu">
        <a href="{{action('UserController@getProfile')}}" class="sub-menu-link">
          <img src="{{ asset('img/icons/profile-icon.svg?v=' . $asset_v) }}" alt="">
          <span>@lang('lang_v1.profile')</span>
        </a>
        @can('user.view', 'user.create', 'roles.view')
        <a href="{{action('ManageUserController@index')}}" class="sub-menu-link">
          <img src="{{ asset('img/icons/user-role.svg?v=' . $asset_v) }}" alt="">
          <span>@lang('user.user_management')</span>
        </a>
        @endcan

        @canany('business_settings.access' | 'barcode_settings.access', 'invoice_settings.access', 'tax_rate.view', 'tax_rate.create', 'access_package_subscriptions', '')
        <a href="{{ action('BusinessLocationController@index') }}" class="sub-menu-link">
          <img src="{{ asset('img/icons/business-location.svg') }}" alt="">
          <span>@lang('business.business_locations')</span>
        </a>
        @endcanany

        @if(auth()->user()->can('business_settings.access') ||
        auth()->user()->can('barcode_settings.access') ||
        auth()->user()->can('invoice_settings.access') ||
        auth()->user()->can('tax_rate.view') ||
        auth()->user()->can('tax_rate.create'))

        <a href="{{action('BusinessController@getSettings')}}" class="sub-menu-link">
          <img src="{{ asset('img/icons/settings.svg?v=' . $asset_v) }}" alt="" width="14px">
          <span>@lang('lang_v1.settings')</span>
        </a>

        <a href="{{ url('business/modules-settings') }}" class="sub-menu-link">
          <img src="{{ asset('img/icons/modules-settings.png?v=' . $asset_v) }}" alt="">
          <span>@lang('lang_v1.modules')</span>
        </a>
        @endif
        @php
        $is_superadmin = auth()->user()->can('superadmin');
        @endphp

        @if($is_superadmin)
        <a href="{{ url('/manage-modules') }}" class="sub-menu-link">
          <img src="{{ asset('img/icons/modules-settings.png?v=' . $asset_v) }}" alt="">
          <span>@lang('lang_v1.premium_modules')</span>
        </a>
        @endif

        @if (in_array('types_of_service', $enabled_modules) && auth()->user()->can('access_types_of_service'))
        <a href="{{ action('TypesOfServiceController@index') }}" class="sub-menu-link">
          <img src="{{ asset('img/icons/modules-settings.png?v=' . $asset_v) }}" alt="">
          <span>@lang('lang_v1.types_of_service')</span>
        </a>
        @endif
        @if (in_array('modifiers', $enabled_modules) && (auth()->user()->can('product.view') || auth()->user()->can('product.create')))
        <a href="{{ action('Restaurant\ModifierSetsController@index') }}" class="sub-menu-link">
          <img src="{{ asset('img/icons/modules-settings.png?v=' . $asset_v) }}" alt="">
          <span>@lang('restaurant.modifiers')</span>
        </a>
        @endif
        @if(Module::has('Superadmin'))
        @if( auth()->user()->can('access_package_subscriptions'))
        <a href="{{ url('subscription') }}" class="sub-menu-link">
          <img src="{{ asset('img/icons/subscription-payment.svg?v=' . $asset_v) }}" alt="">
          <span>@lang('lang_v1.subscription')</span>
        </a>
        @endif
        @endif
        @php
        $is_admin = auth()->user()->hasRole('Admin#' . session('business.id')) ? true : false;
        @endphp
        @if($is_admin)
        <a href="{{ action('ReportController@activityLog') }}" class="sub-menu-link">
          <img src="{{ asset('img/icons/activity-log.svg?v=' . $asset_v) }}" alt="">
          <span>@lang('lang_v1.activity_log')</span>
        </a>
        @endif

        <a href="{{action('Auth\LoginController@logout')}}" class="sub-menu-link">
          <img src="{{ asset('img/icons/log-out-04.svg?v=' . $asset_v) }}" alt="" width="14px">
          <span>@lang('lang_v1.sign_out')</span>
        </a>

      </div>
    </div>
    <!-- End of Submenu -->

    @include('layouts.partials.header-notifications')

  </div>

</div>