@extends('layouts.app')
@section('title', __('lang_v1.notification_templates'))

@section('content')

<div class="main-container no-print">
                
    <!-- Sub Menu -->
    <div class="horizontal-scroll">
        @include('layouts.partials.sub_menu.notification')
    </div>

    <div class="setting-card-wrapper">
        <div class="overview-filter">
            <div class="title">
                <h1>Notification Template</h1>
                <p>Notification</p>
            </div>

            <div class="form-box" style="width: 210px;">
                <select name="" id="">
                    <option value="">Send Ledger</option>
                </select>
            </div>
        </div>
        {!! Form::open(['url' => action('NotificationTemplateController@store'), 'method' => 'post' ]) !!}

        @foreach($general_notifications as $key => $value)
            <div class="notification-template-tags">
                 @if(!empty($value['extra_tags']))
                    <strong>@lang('lang_v1.available_tags'):</strong>
                    @include('notification_template.partials.tags', ['tags' => $value['extra_tags']])
                
                @endif
                @if(!empty($value['help_text']))
                <span>{{$value['help_text']}}</span>
                @endif
            </div>

            <div class="notication-template-subject-info">
                <div class="info-wrapper">
                    <div class="label-box">
                        {!! Form::label($key . '_subject',
                        __('lang_v1.email_subject').':') !!}
                    </div>

                    {!! Form::text('template_data[' . $key . '][subject]', 
                        $value['subject'], ['class' => 'subject-form'
                        , 'placeholder' => __('lang_v1.email_subject'), 'id' => $key . '_subject']); !!}
                </div>

                <div class="info-wrapper">
                    <div class="label-box">
                        {!! Form::label($key . '_cc',
                        'CC:') !!}
                    </div>

                    {!! Form::email('template_data[' . $key . '][cc]', 
                        $value['cc'], ['class' => 'subject-form'
                        , 'placeholder' => 'CC', 'id' => $key . '_cc']); !!}
                </div>

                <div class="info-wrapper">
                    <div class="label-box">
                        {!! Form::label($key . '_bcc',
                        'BCC:') !!}
                    </div>

                    {!! Form::email('template_data[' . $key . '][bcc]', 
                        $value['bcc'], ['class' => 'subject-form'
                        , 'placeholder' => 'BCC', 'id' => $key . '_bcc']); !!}
                </div>
            </div>
            
            <div class="notification-template-body">
                <div class="title">
                    <span>{!! Form::label($key . '_email_body',
                        __('lang_v1.email_body').':') !!}</span>
                </div>

                <div class="content-box">
                    {!! Form::textarea('template_data[' . $key . '][email_body]', 
                        $value['email_body'], ['class' => 'form-control ckeditor'
                        , 'placeholder' => __('lang_v1.email_body'), 'id' => $key . '_email_body', 'rows' => 6]); !!}
                </div>
            </div>
            
        @endforeach
        <div class="footer">
            <div class="footer-btn">
                <button type="submit" class="primary-btn">@lang('messages.save')</button>
            </div>
        </div>
        {!! Form::close() !!}
    </div>
</div>

@stop
@section('javascript')
<script type="text/javascript">
    $('textarea.ckeditor').each( function(){
        var editor_id = $(this).attr('id');
        tinymce.init({
            selector: 'textarea#'+editor_id,
        });
    });
</script>
@endsection