<div class="pos-header">
<div class="pos-filter">
    <div class="row">
    	<div class="col-md-12">
			<p><strong>@lang('sale.invoice_no'):</strong> {{$transaction->invoice_no}}</p>
		</div>
    	<div class="col-lg-4">
    		<div class="form-group" style="width: 100% !important">
				<div class="input-group">
					<input type="hidden" id="default_customer_id" 
					value="{{ $transaction->contact->id }}" >
					<input type="hidden" id="default_customer_name" 
					value="{{ $transaction->contact->name }}" >
					<input type="hidden" id="default_customer_balance" 
					value="{{$transaction->contact->balance}}" >
					{!! Form::select('contact_id', 
						[], null, ['class' => 'form-control mousetrap', 'id' => 'customer_id', 'placeholder' => 'Enter Customer name / phone', 'required', 'style' => 'width: 100%;']); !!}
					<span class="input-group-btn">
						<button type="button" class="btn btn-default bg-white btn-flat add_new_customer" data-name=""  @if(!auth()->user()->can('customer.create')) disabled @endif><i class="fa fa-plus-circle text-primary fa-lg"></i></button>
					</span>
				</div>
				<small class="text-danger @if(empty($customer_due)) hide @endif contact_due_text"><strong>@lang('account.customer_due'):</strong> <span>{{$customer_due ?? ''}}</span></small>
			</div>
    	</div>
    	<div class="col-lg-8">
    		<!-- Search Product -->
		    <div class="search-product">
					<div class="form-group">
						<div class="input-group">
							<div class="input-group-btn">
								<button type="button" class="btn btn-default bg-white btn-flat" data-toggle="modal" data-target="#configure_search_modal" title="{{__('lang_v1.configure_product_search')}}"><i class="fas fa-search-plus"></i></button>
							</div>
							{!! Form::text('search_product', null, ['class' => 'form-control mousetrap', 'id' => 'search_product', 'placeholder' => __('lang_v1.search_product_placeholder'),
							'autofocus' => true,
							]); !!}
							
							<span class="input-group-btn">
								<button type="button" class="btn btn-default bg-white btn-flat pos_add_quick_product" data-href="{{action('ProductController@quickAdd')}}" data-container=".quick_add_product_modal"><i class="fa fa-plus-circle text-primary fa-lg"></i></button>
							</span>
						</div>
					</div>
		    </div>
		    <!-- End Search Product -->
    	</div>
    </div>
</div>


<div class="pos-filter">
    <div class="row">
	@if(!empty($pos_settings['show_invoice_layout']))
	<div class="col-sm-3 col-xs-6 col-md-3">
		<div class="form-group">
		{!! Form::select('invoice_layout_id', 
					$invoice_layouts, $transaction->location->invoice_layout_id, ['class' => 'form-control select2', 'placeholder' => __('lang_v1.select_invoice_layout'), 'id' => 'invoice_layout_id']); !!}
		</div>
	</div>
	@endif
	<input type="hidden" name="pay_term_number" id="pay_term_number" value="{{$transaction->pay_term_number}}">
	<input type="hidden" name="pay_term_type" id="pay_term_type" value="{{$transaction->pay_term_type}}">
	
	@if(!empty($commission_agent))
		@php
			$is_commission_agent_required = !empty($pos_settings['is_commission_agent_required']);
		@endphp
		<div class="col-sm-3 col-xs-6 col-md-3">
			<div class="form-group">
			{!! Form::select('commission_agent', 
						$commission_agent, $transaction->commission_agent, ['class' => 'form-control select2', 'placeholder' => __('lang_v1.commission_agent'), 'id' => 'commission_agent', 'required' => $is_commission_agent_required]); !!}
			</div>
		</div>
		@endif
	@if(!empty($pos_settings['enable_transaction_date']))
		<div class="col-sm-3 col-xs-6 col-md-3">
			<div class="form-group">
				<div class="input-group">
					<span class="input-group-addon">
						<i class="fa fa-calendar"></i>
					</span>
					{!! Form::text('transaction_date', @format_datetime($transaction->transaction_date), ['class' => 'form-control', 'readonly', 'required', 'id' => 'transaction_date']); !!}
				</div>
			</div>
		</div>
	@endif
	@if(config('constants.enable_sell_in_diff_currency') == true)
		<div class="col-sm-3 col-xs-6 col-md-3">
			<div class="form-group">
				<div class="input-group">
					<span class="input-group-addon">
						<i class="fas fa-exchange-alt"></i>
					</span>
					{!! Form::text('exchange_rate', @num_format($transaction->exchange_rate), ['class' => 'form-control input-sm input_number', 'placeholder' => __('lang_v1.currency_exchange_rate'), 'id' => 'exchange_rate']); !!}
				</div>
			</div>
		</div>
	@endif



	@moduleEnabled('CurrencyExchangeRate')
    <div class="col-sm-3 col-xs-6 col-md-3">
        <select id="exchange_rate_id" class="form-control" aria-label="Exchange Rate" onchange="updateCurrencyCode()">
            <option value="">@lang('currencyexchangerate::lang.select_exchange_rate')</option>
			<option value="" disabled>@lang('lang_v1.local_foreign')</option>
            @foreach($exchangeRates as $rate)
                <option value="{{ $rate->id }}"
                    data-exchange-currency-id="{{ $rate->id }}" data-rate="{{ $rate->exchange_rate }}" data-target-code="{{ $rate->targetCurrency->code }}" data-target-id="{{ $rate->targetCurrency->id }}" {{ $rate->id == $selected_exchange_rate_id ? 'selected' : '' }}>
                    {{ $rate->baseCurrency->code }}({{ $rate->baseCurrency->symbol }}) - {{ $rate->targetCurrency->code }}({{ $rate->targetCurrency->symbol }})
                </option>
            @endforeach
        </select>
    </div>
    <div class="col-sm-3 col-xs-6 col-md-3">
        {!! Form::text('currency_exchange_rate', $transaction->exchangeRate->exchange_rate ?? null, ['class' => 'form-control', 'id' => 'currency_exchange_rate', 'placeholder' => __('currencyexchangerate::lang.select_exchange_rate'), 'readonly' => 'readonly']) !!}
        {!! Form::hidden('exchange_currency_id', $selected_exchange_rate_id, ['id' => 'exchange_currency_id', 'readonly' => 'readonly']) !!}
    </div>
@endmoduleEnabled


	@if(!empty($transaction->selling_price_group_id))
		<div class="col-sm-3 col-xs-6 col-md-3">
			<div class="form-group">
				<div class="input-group">
					<span class="input-group-addon">
						<i class="fas fa-money-bill-alt"></i>
					</span>
					{!! Form::hidden('price_group', $transaction->selling_price_group_id, ['id' => 'price_group']) !!}
					{!! Form::text('price_group_text', $transaction->price_group->name, ['class' => 'form-control', 'readonly']); !!}
					<span class="input-group-addon">
					@show_tooltip(__('lang_v1.price_group_help_text'))
				</span> 
				</div>
			</div>
		</div>
	@endif
	@if( $restaurant_settings['enable_restaurant_module'] == "1" && $restaurant_settings['enable_order_type'] == "1")
			<div class="col-sm-3 col-xs-6 col-md-3">
				<div class="form-group">
					{!! Form::select('order_type', $order_type, $selected_order_type, ['class' => 'form-control', 'placeholder' => __('lang_v1.select_order_type')]) !!}
				</div>
			</div>
			@endif
			

	@if(in_array('types_of_service', $enabled_modules) && !empty($transaction->types_of_service))
		<div class="col-sm-3 col-xs-6 col-md-3">
			<div class="form-group">
				<div class="input-group">
					<span class="input-group-addon">
						<i class="fas fa-external-link-square-alt text-primary service_modal_btn"></i>
					</span>
					{!! Form::text('types_of_service_text', $transaction->types_of_service->name, ['class' => 'form-control', 'readonly']); !!}

					{!! Form::hidden('types_of_service_id', $transaction->types_of_service_id, ['id' => 'types_of_service_id']) !!}
					<span class="input-group-addon">
						@show_tooltip(__('lang_v1.types_of_service_help'))
					</span> 
				</div>
				<small><p class="help-block @if(empty($transaction->selling_price_group_id)) hide @endif" id="price_group_text">@lang('lang_v1.price_group'): <span>@if(!empty($transaction->selling_price_group_id)){{$transaction->price_group->name}}@endif</span></p></small>
			</div>
		</div>
		<div class="modal fade types_of_service_modal" tabindex="-1" role="dialog" aria-labelledby="gridSystemModalLabel">
			@if(!empty($transaction->types_of_service))
				@include('types_of_service.pos_form_modal', ['types_of_service' => $transaction->types_of_service])
			@endif
		</div>
	@endif
	@if($transaction->status == 'draft' && !empty($pos_settings['show_invoice_scheme']))
		<div class="col-sm-3 col-xs-6 col-md-3">
			<div class="form-group">
				{!! Form::select('invoice_scheme_id', $invoice_schemes, $default_invoice_schemes->id, ['class' => 'form-control', 'placeholder' => __('lang_v1.select_invoice_scheme')]); !!}
			</div>
		</div>
	@endif
	<!-- Call restaurant module if defined -->
    @if(in_array('tables' ,$enabled_modules) || in_array('service_staff' ,$enabled_modules))
    	<span id="restaurant_module_span" 
    		data-transaction_id="{{$transaction->id}}">
      		<div class="col-sm-3 col-xs-6 col-md-3"></div>
    	</span>
    @endif
    @if(in_array('subscription', $enabled_modules))
		<div class="col-sm-3 col-xs-6 col-md-3">
			<label>
              {!! Form::checkbox('is_recurring', 1, $transaction->is_recurring, ['class' => 'input-icheck', 'id' => 'is_recurring']); !!} @lang('lang_v1.subscribe')?

              <button type="button" data-toggle="modal" data-target="#recurringInvoiceModal" class="btn btn-link"><i class="fa fa-external-link-square-alt"></i></button>@show_tooltip(__('lang_v1.recurring_invoice_help'))
            </label>
		</div>
	@endif
</div>
</div>
</div>

<!-- include module fields -->
@if(!empty($pos_module_data))
    @foreach($pos_module_data as $key => $value)
        @if(!empty($value['view_path']))
            @includeIf($value['view_path'], ['view_data' => $value['view_data']])
        @endif
    @endforeach
@endif
<div class="row">
	<div class="col-sm-12 pos_product_div">
		<input type="hidden" name="sell_price_tax" id="sell_price_tax" value="{{$business_details->sell_price_tax}}">

		<!-- Keeps count of product rows -->
		<input type="hidden" id="product_row_count" 
			value="{{count($sell_details)}}">
		@php
			$hide_tax = '';
			if( session()->get('business.enable_inline_tax') == 0){
				$hide_tax = 'hide';
			}
		@endphp
		<table class="pos-product-table" id="pos_table">
			<thead>
				<tr>
					<th class="tex-center @if(!empty($pos_settings['inline_service_staff'])) col-md-3 @else col-md-4 @endif">	
						@lang('sale.product') @show_tooltip(__('lang_v1.tooltip_sell_product_column'))
					</th>
					<th class="text-center col-md-3">
						@lang('sale.qty')
					</th>
					@if(!empty($pos_settings['inline_service_staff']))
						<th class="text-center col-md-2">
							@lang('restaurant.service_staff')
						</th>
					@endif
					<th class="text-center col-md-2 {{$hide_tax}}">
						@lang('sale.price_inc_tax')
					</th>
					<th class="text-center col-md-2">
						@lang('sale.subtotal')
					</th>
					<th class="text-center"><i class="fas fa-times" aria-hidden="true"></i></th>
				</tr>
				
			</thead>
		
			<tbody class="tbody-scroll">
				@foreach($sell_details as $sell_line)

				@include('sale_pos.product_row', 
					['product' => $sell_line, 
					'row_count' => $loop->index, 
					'tax_dropdown' => $taxes, 
					'sub_units' => !empty($sell_line->unit_details) ? $sell_line->unit_details : [],
					'action' => 'edit'
				])
			@endforeach
			
			</tbody>
			
		</table>
	</div>
</div>