<style>
	.card {
		border-radius: 10px;
		height: 100%;
		position: relative;
		display: block;
		flex-direction: column;
		justify-content: space-between;
		margin-bottom: 20px;
		perspective: 1000px;
	}

	.card-inner {
		position: relative;
		width: 100%;
		height: 100%;
		text-align: center;
		transition: transform 0.6s;
		transform-style: preserve-3d;
		box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
	}

	.card.flipped .card-inner {
		transform: rotateY(180deg);
	}

	.card-front,
	.card-back {
		position: absolute;
		width: 100%;
		height: 100%;
		backface-visibility: hidden;
		top: 0;
		left: 0;
		border-radius: 10px;
	}

	.card-front {
		z-index: 2;
		display: flex;
		flex-direction: column;
		justify-content: center;
	}

	.card-back {
		transform: rotateY(180deg);
		padding: 1rem;
		display: none;
		flex-direction: column;
		align-items: center;
		justify-content: flex-start;
		background-color: #fff;
		box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
	}

	.card.flipped .card-back {
		display: flex;
	}

	.card-footer {
		background-color: transparent;
		border-top: none;
		padding: 0.5rem;
	}

	.card-body {
		position: relative;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
		padding: 1rem;
	}

	.card-body p {
		margin-bottom: 0.5rem;
	}

	.card-body .btn {
		width: 100%;
		margin-bottom: 0.5rem;
	}

	.card-body .btn:last-child {
		margin-bottom: 0;
	}

	.card:hover {
		box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
	}

	.delete-sale {
		display: block;
		margin-bottom: 0.5rem;
	}

	.card-body .mt-auto {
		margin-top: 10px;
	}

	.no-wrap {
		white-space: nowrap;
	}

	.flip-btn {
		position: absolute;
		top: 10px;
		right: 10px;
		cursor: pointer;
	}

	.hide {
		display: none;
	}

	.card-wrapper {
		display: flex;
		flex: 0 0 25%;
		max-width: 25%;
		box-sizing: border-box;
		padding: 10px;
	}

	@media (max-width: 1200px) {
		.card-wrapper {
			flex: 0 0 33.33%;
			max-width: 33.33%;
		}
	}

	@media (max-width: 992px) {
		.card-wrapper {
			flex: 0 0 50%;
			max-width: 50%;
		}
	}

	@media (max-width: 768px) {
		.card-wrapper {
			flex: 0 0 100%;
			max-width: 100%;
		}
	}

	.elapsed-time {
		padding: 5px;
		border-radius: 5px;
		color: white;
		display: inline-block;
	}

	.elapsed-time.green {
		background-color: green;
	}

	.elapsed-time.yellow {
		background-color: yellow;
		color: black;
	}

	.elapsed-time.orange {
		background-color: orange;
	}

	.elapsed-time.red {
		background-color: red;
	}
	/* Default status style */
/* Default status style */
.status {
    color: #333;
    background-color: #ccffcc;
    padding: 0px 15px 0px 15px;
    border-radius: 5px;
    border: 1px solid #ccc;
	font-size: 10px;
	font-weight: bold;
}

/* Specific status styles */
.bg-red {
    color: #333;
    background-color: #ffcccc;
	padding: 0px 15px 0px 15px;
    border-radius: 5px;
    border: 1px solid red;
	font-size: small;
}



</style>

<div class="modal-dialog modal-lg" role="document">
	<div class="modal-content no-print">
		<div class="modal-header">
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
			<h4 class="modal-title">@lang('lang_v1.running_orders')</h4>
		</div>
		<div class="modal-body">
			<input type="text" id="search-input" placeholder="@lang('lang_v1.search')" class="form-control mb-4">
			<div class="row" id="cards-container">
				
				@php
				$c = 0;
				$subtype = '';
				@endphp
				@if(!empty($transaction_sub_type))
				@php
				$subtype = '?sub_type='.$transaction_sub_type;
				@endphp
				

				@endif
				@forelse($sales as $sale)
				@php
                        $count_sell_line = count($sale->sell_lines);
                        $count_cooked = count($sale->sell_lines->where('res_line_order_status', 'cooked'));
                        $count_served = count($sale->sell_lines->where('res_line_order_status', 'served'));
                        $order_status =  'received';
                        if($count_cooked == $count_sell_line) {
                              $order_status =  'cooked';
                        } else if($count_served == $count_sell_line) {
                              $order_status =  'served';
                        } else if ($count_served > 0 && $count_served < $count_sell_line) {
                              $order_status =  'partial_served';
                        } else if ($count_cooked > 0 && $count_cooked < $count_sell_line) {
                              $order_status =  'partial_cooked';
                        }
                        
                  @endphp
				  
				@if($sale->is_running_order)
				<div class="col-md-4 col-lg-3 mb-4 card-wrapper">
					<div class="card shadow-sm h-100">
						<div class="card-inner">
							<div class="card-back card-body hide">
								<i class="fas fa-chevron-up flip-btn"></i>
								<p class="text-info">{{$sale->additional_notes ?? 'No additional notes'}}</p>
							</div>
							
							<div class="card-front card-body text-center d-flex flex-column">
							<span class="@if($order_status == 'cooked' ) bg-red @elseif($order_status == 'served') bg-green @elseif($order_status == 'partial_cooked') @else status @endif">
                       			{{ $order_status }}
                  			</span>
								<p class="h5">{{$sale->invoice_no}}</p>
								<p>{{@format_date($sale->transaction_date)}}</p>
								<p class="font-weight-bold"><i class="fa fa-user"></i> {{$sale->name}}</p>
								<p><i class="fa fa-cubes"></i> @lang('lang_v1.total_items'): {{count($sale->sell_lines)}}</p>
								<p><i class="fas fa-money-bill-alt"></i> @lang('sale.total'):<br>
									<span class="display_currency" data-currency_symbol=true>{{$sale->final_total}}</span>
								</p>
								@if($is_tables_enabled && !empty($sale->table->name))
								<p>@lang('restaurant.table'): {{$sale->table->name}}</p>
								@endif
								@if($is_service_staff_enabled && !empty($sale->service_staff))
								<p>@lang('restaurant.service_staff'): {{$sale->service_staff->user_full_name}}</p>
								@endif
								@if(!empty($sale->additional_notes))
								<i class="fas fa-chevron-down flip-btn"></i>
								@endif
								<p class="elapsed-time" data-start-time="{{ $sale->transaction_date }}"></p>
								@if(auth()->user()->can('sell.update') || auth()->user()->can('direct_sell.update'))
								<a href="{{action([\App\Http\Controllers\SellPosController::class, 'edit'], ['po' => $sale->id]).$subtype}}" class="btn small-box-footer bg-yellow p-10 no-wrap">
									@lang('lang_v1.edit_order') <i class="fa fa-arrow-circle-right"></i>
								</a>
								@endif
								@if(auth()->user()->can('sell.delete') || auth()->user()->can('direct_sell.delete'))
								<a href="{{action([\App\Http\Controllers\SellPosController::class, 'destroy'], ['po' => $sale->id])}}" class="btn small-box-footer delete-sale bg-red is_suspended no-wrap">
									@lang('messages.delete') <i class="fas fa-trash"></i>
								</a>
								@endif
								@if(!auth()->user()->can('sell.update') && auth()->user()->can('edit_pos_payment'))
								<a href="{{route('edit-pos-payment', ['po' => $sale->id])}}" class="btn btn-success btn-sm no-wrap">
									@lang('lang_v1.add_edit_payment') <i class="fas fa-money-bill-alt"></i>
								</a>
								@endif

								<a href="{{action([\App\Http\Controllers\SellPosController::class, 'printInvoice'], [$sale->id])}}?prebill=1" class="btn small-box-footer bg-blue no-wrap print-invoice-link">
									@lang('lang_v1.print_prebill') <i class="fa fa-print"></i>
								</a>
								<a href="{{action([\App\Http\Controllers\SellPosController::class, 'printInvoice'], [$sale->id])}}" class="btn small-box-footer bg-green no-wrap print-invoice-link">
									@lang('lang_v1.reprint_kot') <i class="fa fa-print"></i>
								</a>

							</div>
						</div>
					</div>
				</div>
				@php
				$c++;
				@endphp
				@endif

				@if($c % 4 == 0)
				<div class="w-100"></div>
				@endif
				@empty
				<p class="text-center">@lang('purchase.no_records_found')</p>
				@endforelse
			</div>
		</div>
		<div class="modal-footer">
			<button type="button" class="btn btn-default" data-dismiss="modal">@lang('messages.close')</button>
		</div>
	</div><!-- /.modal-content -->
</div><!-- /.modal-dialog -->

<script type="text/javascript">
	$(document).ready(function() {
		$('.flip-btn').click(function(e) {
			e.stopPropagation();
			var card = $(this).closest('.card');
			card.toggleClass('flipped');
			var card_back = card.find('.card-back');
			var card_front = card.find('.card-front');
			card_back.toggleClass('hide');
			card_front.toggleClass('hide');
		});

		$('#search-input').on('keyup', function() {
			var value = $(this).val().toLowerCase();
			$('.card-wrapper').filter(function() {
				$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1);
			});
			var visible_cards = $('.card-wrapper:visible');
			$('#cards-container').append(visible_cards);
		});
		var serverTime = new Date($('#server-time').val());

		function update_elapsed_time() {
			$('.elapsed-time').each(function() {
				var start_time = new Date($(this).data('start-time'));
				var current_time = new Date();
				var elapsed_time = current_time - start_time;

				var elapsed_minutes = Math.floor(elapsed_time / (1000 * 60));
				var hours = Math.floor(elapsed_time / (1000 * 60 * 60));
				var minutes = Math.floor((elapsed_time % (1000 * 60 * 60)) / (1000 * 60));
				var seconds = Math.floor((elapsed_time % (1000 * 60)) / 1000);
				var formatted_time = hours + 'h ' + minutes + 'm ' + seconds + 's';

				$(this).text(formatted_time);
				$(this).removeClass('green yellow orange red');
				if (elapsed_minutes <= 15) {
					$(this).addClass('green');
				} else if (elapsed_minutes <= 45) {
					$(this).addClass('yellow');
				} else if (elapsed_minutes <= 59) {
					$(this).addClass('orange');
				} else {
					$(this).addClass('red');
				}
			});
		}

		function sort_cards() {
			var cards = $('.card-wrapper').toArray();
			cards.sort(function(a, b) {
				var dateA = new Date($(a).find('.elapsed-time').data('start-time'));
				var dateB = new Date($(b).find('.elapsed-time').data('start-time'));
				return dateB - dateA;
			});
			$('#cards-container').append(cards);
		}
		sort_cards();
		setInterval(update_elapsed_time, 1000);
	});
</script>