@extends('layouts.guest')
@section('title', $title)

@section('content')

<div class="invoice-container">
    <div class="invoice-container-preview-head">
        <div class="logo">
            <img src="{{ asset('img/pictures/logo.png?v=' . $asset_v) }}" alt="" />
        </div>

       
        <a href="#" id="print_invoice" class="download-invoice">Print</a>
    </div>
    <div id="invoice_content" class="invoice-container-preview">
        <h1 class="invoice-id">#{{ $sell->invoice_no }}</h1>

        <div class="invoice-date-status">
            <div class="invoice-date">
                <div class="item">
                    <span>Issued on</span>
                    <p>{{ @format_date($sell->transaction_date) }}</p>
                </div>
            </div>

            <div class="invoice-status">
                <h5>STATUS</h5>
                @if(!empty($sell->payment_status) && $sell->payment_status != 'paid')
                <span class="not-paid">{{ __('lang_v1.' . $sell->payment_status) }}</span>
                @else
                <span class="paid">Paid</span>
                @endif
            </div>
        </div>

        <div class="invoice-bill-info">
            <div class="company-address">
                <h3>{{ $sell->contact->name }}</h3>
                <span>
                {!! $sell->contact->contact_address !!}
                @if($sell->contact->mobile)
                    {{__('contact.mobile')}}: {{ $sell->contact->mobile }}
                @endif
                @if($sell->contact->alternate_number)
                ,
                    {{__('contact.alternate_contact_number')}}: {{ $sell->contact->alternate_number }}
                @endif
                @if($sell->contact->landline)
                 ,
                    {{__('contact.landline')}}: {{ $sell->contact->landline }}
                @endif
                </span>
               
            </div>

            <div class="bill-address">
                <h3>Bill To</h3>
                @if(!empty($sell->billing_address()))
                <span>{{$sell->billing_address()}}</span>
                @endif
                
            </div>
        </div>

        @include('sale_pos.partials.sale_line_details')

            @php
                $total_paid = 0;
            @endphp
            @if($sell->type != 'sales_order')
            @foreach($sell->payment_lines as $payment_line)
            @php
                if($payment_line->is_return == 1){
                $total_paid -= $payment_line->amount;
                } else {
                $total_paid += $payment_line->amount;
                }
            @endphp
            
            @endforeach
            
            @endif

        <div class="pricing-table-wrapper">
            <table class="pricing-table">
                <tbody>
                    <tr>
                        <td>{{ __('sale.total') }}</td>
                        <td><span class="display_currency pull-right" data-currency_symbol="true">{{ $sell->total_before_tax }}</span></td>
                        </tr>
                        <tr>
                        <td>{{ __('sale.discount') }}<b>(-)</b></td>
                        <td><div class="pull-right"><span class="display_currency" @if( $sell->discount_type == 'fixed') data-currency_symbol="true" @endif>{{ $sell->discount_amount }}</span> @if( $sell->discount_type == 'percentage') {{ '%'}} @endif</span></div></td>
                        </tr>
                        
                        <tr>
                            <td>{{ __('sale.order_tax') }}<b>(+)</b></td>
                        <td class="text-right">
                            @if(!empty($order_taxes))
                            @foreach($order_taxes as $k => $v)
                                <strong><small>{{$k}}</small></strong> - <span class="display_currency pull-right" data-currency_symbol="true">{{ $v }}</span><br>
                            @endforeach
                            @else
                            0.00
                            @endif
                        </td>
                        </tr>
                        @if(!empty($line_taxes))
                        <tr>
                        <td>{{ __('lang_v1.line_taxes') }}</td>
                        <td class="text-right">
                            @if(!empty($line_taxes))
                            @foreach($line_taxes as $k => $v)
                                <strong><small>{{$k}}</small></strong> - <span class="display_currency pull-right" data-currency_symbol="true">{{ $v }}</span><br>
                            @endforeach
                            @else
                            0.00
                            @endif
                        </td>
                        </tr>
                        @endif
                        
            
                        
                        <tr>
                        <td>{{ __('lang_v1.round_off') }}</td>
                        <td><span class="display_currency pull-right" data-currency_symbol="true">{{ $sell->round_off_amount }}</span></td>
                        </tr>
                        <tr>
                        <td>{{ __('lang_v1.shipping_charges') }}</td>
                        <td><span class="display_currency pull-right" data-currency_symbol="true">{{ $sell->shipping_charges }}</span></td>
                        </tr>
                        <tr>
                        <td>{{ __('sale.total_payable') }}</td>
                        <td><span class="display_currency pull-right" data-currency_symbol="true">{{ $sell->final_total }}</span></td>
                        </tr>
                        @if($sell->type != 'sales_order')
                        <tr>
                        <td>{{ __('sale.total_paid') }}</td>
                        <td><span class="display_currency pull-right" data-currency_symbol="true" >{{ $total_paid }}</span></td>
                        </tr>
                        <tr>
                        <td>{{ __('sale.total_remaining') }}</td>
                        <td>
                            <!-- Converting total paid to string for floating point substraction issue -->
                            @php
                            $total_paid = (string) $total_paid;
                            @endphp
                            <span class="display_currency pull-right" data-currency_symbol="true" >{{ $sell->final_total - $total_paid }}</span></td>
                        </tr>
                        @endif
                </tbody>
                </table>
            
        </div>

        <span class="amount-words">
            <b>In Words: </b>
            {{$total_in_words}}
        </span>

        <div class="invoice-message">
            <b>NOTE</b>

            <p>
                Please Remember all payments to invoices must be made with reference
                to invoice number to ensure proper account credit.

                <br /><br />
                Thank You
            </p>
        </div>
        <br />

      
        @php
        $total_paid = 0;
      @endphp
      @if($sell->type != 'sales_order')
      
      <div class="invoice-transaction-table-wrapper">
        <table class="invoice-transaction-table">
        <tr class="bg-max">
            <th>#</th>
            <th>{{ __('messages.date') }}</th>
            <th>{{ __('purchase.ref_no') }}</th>
            <th>{{ __('sale.amount') }}</th>
            <th>{{ __('sale.payment_mode') }}</th>
            <th>{{ __('sale.payment_note') }}</th>
        </tr>
        @foreach($sell->payment_lines as $payment_line)
            @php
            if($payment_line->is_return == 1){
                $total_paid -= $payment_line->amount;
            } else {
                $total_paid += $payment_line->amount;
            }
            @endphp
            <tr>
            <td>{{ $loop->iteration }}</td>
            <td>{{ @format_date($payment_line->paid_on) }}</td>
            <td>{{ $payment_line->payment_ref_no }}</td>
            <td><span class="display_currency" data-currency_symbol="true">{{ $payment_line->amount }}</span></td>
            <td>
                {{ $payment_types[$payment_line->method] ?? $payment_line->method }}
                @if($payment_line->is_return == 1)
                <br/>
                ( {{ __('lang_v1.change_return') }} )
                @endif
            </td>
            <td>@if($payment_line->note) 
                {{ ucfirst($payment_line->note) }}
                @else
                --
                @endif
            </td>
            </tr>
        @endforeach
        </table>
      </div>
      @endif

    </div>
</div>

@include('sale_pos.partials.invoice_payment_modal')
@stop
@section('javascript')
<script type="text/javascript">
    $(document).ready(function(){
        // @if ($sell->payment_status == 'paid')
        //     $('#successfull_invoice_payment_modal').modal('toggle');
        // @endif
       
        $(document).on('click', '#print_invoice', function(){
            $('#invoice_content').printThis();
        });
    });
    @if(!empty(request()->input('print_on_load')))
        $(window).on('load', function(){
            $('#invoice_content').printThis();
        });
    @endif

</script>
@endsection