# Laravel Dump Server

[![Latest Version on Packagist](https://img.shields.io/packagist/v/beyondcode/laravel-dump-server.svg?style=flat-square)](https://packagist.org/packages/beyondcode/laravel-dump-server)
[![Total Downloads](https://img.shields.io/packagist/dt/beyondcode/laravel-dump-server.svg?style=flat-square)](https://packagist.org/packages/beyondcode/laravel-dump-server)

Bringing the [Symfony Var-Dump Server](https://symfony.com/doc/current/components/var_dumper.html#the-dump-server) to Laravel.

This package will give you a dump server, that collects all your `dump` call outputs, so that it does not interfere with HTTP / API responses.

## Installation

You can install the package via composer:

```bash
composer require --dev beyondcode/laravel-dump-server
```

## Documentation

You can find the documentation on the [Beyond Code website](https://beyondco.de/docs/laravel-dump-server/installation).

## Looking for `dump` on steroids? Check out Laravel Herd!
<img src="https://github.com/beyondcode/laravel-dump-server/assets/26432041/28a74ab1-35bd-42d1-bcfe-98e7f7101c1e" alt="Herd logo" style="width: 150px"/>


Herd Pro gives you a powerful interface to help you watch and collect your debug information.

All of your application's `dump()` and `dd()` calls will be beautifully formatted and can be filtered from Herd's separate Dump window.

Just keep using `dump()` as usual – Herd will take care of the rest.

[herd.laravel.com](https://herd.laravel.com)

## Contributing

Please see [CONTRIBUTING](CONTRIBUTING.md) for details.

### Security

If you discover any security related issues, please email marcel@beyondco.de instead of using the issue tracker.

## Credits

- [Marcel Pociot](https://github.com/mpociot)
- [All Contributors](../../contributors)

## License

The MIT License (MIT). Please see [License File](LICENSE.md) for more information.
